﻿
local AceLocale = AceLibrary("AceLocale-2.2"):new("AckisRecipeList");

AceLocale:RegisterTranslations("enUS", function() 
    return
	{
		-- Command params
		["SCAN"] = "Starts the recipe scan, displaying information in the chat window.",
		["GUISCAN"] = "Starts the recipe scan, displaying information in a seperate window. Currently in development, use at your own risk.",
		["ARL_CONFIG_HEADER"] = "Ackis Recipe List Configuration",
		["DISPLAY_OPTIONS"] = "Recipe Scan Display Options",
		["FACTION_TOGGLE"] = "Include all faction recipes in scan.",
		["CLASS_TOGGLE"] = "Include all class recipes in scan.",
		["SPECIALITY_TOGGLE"] = "Include all tradeskill specialities in scan.",
		["RAID_TOGGLE"] = "Include hard to get raid recipes in scan.",
		["SKILL_TOGGLE"] = "Include all skill levels of recipes in scan.",
		["SORT_OPTIONS"] = "How to sort recipes.",
		["SORT_Name"] = "Name", 
		["SORT_Skill"] = "Skill",
		["SORT_Unsorted"] = "Unsorted",
		["LONG_COMMAND"] = "/AckisRecipeList",
		["SHORT_COMMAND"] = "/arl",

		-- Non-gui text
		["MissingFromDB"] = ": is is missing from the database. \nPlease inform the author of the add-on about this recipe.",
		["MissingRecipePrefix"] = "Missing Recipe: ",
		["MissingRecipe"] = "%s [%s].",
		["MissingRecipeAcquire"] = "\n    - %s",
		["InitiateScan"] = "Scanning %s for missing recipes at skill level %s.\n",
		["InitiateScanSpecial"] = "Scanning %s - %s for missing recipes at skill level %s.\n",
		["RecipeListSummary"] = "\nYou know %s out of %s total recipes (%s%%).\nYou are missing %s recipes.",
		["UnknownTradeSkill"] = "You have opened up a trade skill window which is not supported by this add-on.  The trade skill is %s.  Please provide the author of the add-on with this information.",
		["OpenTradeSkillWindow"] = "Please open trade skill window to scan.",

		-- GUI Text
		["RecipeListHeader"] = "%s - %s",
		["ARLTitle"] = "Ackis Recipe List 0.6",
		["GUIProgressBar"] = "%s \\ %s - %s%%",

		-- Recipe Database
		["Trainer"] = true,
		["Vendor"] = true,
		["Discovery"] = true,
		["PVP"] = true,
		["Raid"] = true,
		["Beast Training"] = true,
		["REPUTATIONOUTPUT1"] = "%s: %s",
		["REPUTATIONOUTPUT2"] = "(A) %s: %s\n    - (H) %s: %s",

		-- Common ways to obtain recipes
		["CWD"] = "Common World Drop",
		["UWD"] = "Uncommon World Drop",
		["RWD"] = "Rare World Drop",
		["EWD"] = "Epic World Drop",
		--["BoE"] = "BoE Mob Drop: ",
		--["BoP"] = "BoP Mob Drop: ",
		["DMCACHE"] = "Knot Thimblejack's Cache, Dire Maul North",
		["Gordok Ogre Suit"] = true,
		["Gordok Ogre Suit Obt"] = "Quest Reward: The Gordok Ogre Suit",
		["TrueBelieverQuest"] = "Quest Reward: True Believers - Rare drop from Decoded True Believer Clippings",
		["MOLTENCORE"] = "BoP Mob Drop: Random bosses in MC.",
		["AQ20/AQ40"] = "BoP Mob Drop: Random bosses in AQ20/AQ40.",
		["SSC/TKBoP"] = "BoP Mob Drop: Random bosses and mobs in SSC/TK.",
		["SSC/TKBoE"] = "BoE Mob Drop: Random bosses and mobs in SSC/TK.",
		["BT/HYJALBoP"] = "BoP Mob Drop: Random bosses and mobs in Hyjal/BT.",
		["HYJALBoP"] = "BoP Mob Drop: Random bosses in Hyjal.",
		["BT/HYJALBoE"] = "BoE Mob Drop: Random bosses and mobs in Hyjal/BT.",
		["ZA"] = "BoP Mob Drop: Random bosses in Zul'Aman.",
		["Unknown"] = "The drop location of this recipe is unknown.",

		-- Faction info
		["WintersVeil"] = "Feast of Winters Veil",
		["Lunar Festival"] = "Lunar Festival",
		["Seasonal"] = true,
		
		-- Alchemy Recipes
		["Adept's Elixir"] = true,
		["Alchemist's Stone"] = true,
		["Arcane Elixir"] = true,
		["Blackmouth Oil"] = true,
		["Catseye Elixir"] = true,
		["Cauldron of Major Arcane Protection"] = true,
		["Cauldron of Major Fire Protection"] = true,
		["Cauldron of Major Frost Protection"] = true,
		["Cauldron of Major Nature Protection"] = true,
		["Cauldron of Major Shadow Protection"] = true,
		["Destruction Potion"] = true,
		["Discolored Healing Potion"] = true,
		["Dreamless Sleep Potion"] = true,
		["Earthen Elixir"] = true,
		["Elixir of Agility"] = true,
		["Elixir of Brute Force"] = true,
		["Elixir of Camouflage"] = true,
		["Elixir of Defense"] = true,
		["Elixir of Demonslaying"] = true,
		["Elixir of Detect Demon"] = true,
		["Elixir of Detect Lesser Invisibility"] = true,
		["Elixir of Detect Undead"] = true,
		["Elixir of Draenic Wisdom"] = true,
		["Elixir of Dream Vision"] = true,
		["Elixir of Empowerment"] = true,
		["Elixir of Firepower"] = true,
		["Elixir of Fortitude"] = true,
		["Elixir of Frost Power"] = true,
		["Elixir of Giant Growth"] = true,
		["Elixir of Giants"] = true,
		["Elixir of Greater Agility"] = true,
		["Elixir of Greater Defense"] = true,
		["Elixir of Greater Firepower"] = true,
		["Elixir of Greater Intellect"] = true,
		["Elixir of Greater Water Breathing"] = true,
		["Elixir of Healing Power"] = true,
		["Elixir of Ironskin"] = true,
		["Elixir of Lesser Agility"] = true,
		["Elixir of Lion's Strength"] = true,
		["Elixir of Major Agility"] = true,
		["Elixir of Major Defense"] = true,
		["Elixir of Major Firepower"] = true,
		["Elixir of Major Fortitude"] = true,
		["Elixir of Major Frost Power"] = true,
		["Elixir of Major Mageblood"] = true,
		["Elixir of Major Shadow Power"] = true,
		["Elixir of Major Strength"] = true,
		["Elixir of Mastery"] = true,
		["Elixir of Minor Agility"] = true,
		["Elixir of Minor Defense"] = true,
		["Elixir of Minor Fortitude"] = true,
		["Elixir of Ogre's Strength"] = true,
		["Elixir of Shadow Power"] = true,
		["Elixir of Superior Defense"] = true,
		["Elixir of the Mongoose"] = true,
		["Elixir of the Sages"] = true,
		["Elixir of the Searching Eye"] = true,
		["Elixir of Water Breathing"] = true,
		["Elixir of Wisdom"] = true,
		["Fel Mana Potion"] = true,
		["Fel Regeneration Potion"] = true,
		["Fel Strength Elixir"] = true,
		["Fire Oil"] = true,
		["Fire Protection Potion"] = true,
		["Flask of Blinding Light"] = true,
		["Flask of Chromatic Resistance"] = true,
		["Flask of Chromatic Wonder"] = true,
		["Flask of Distilled Wisdom"] = true,
		["Flask of Fortification"] = true,
		["Flask of Mighty Restoration"] = true,
		["Flask of Petrification"] = true,
		["Flask of Pure Death"] = true,
		["Flask of Relentless Assault"] = true,
		["Flask of Supreme Power"] = true,
		["Flask of the Titans"] = true,
		["Free Action Potion"] = true,
		["Frost Oil"] = true,
		["Frost Protection Potion"] = true,
		["Ghost Dye"] = true,
		["Gift of Arthas"] = true,
		["Goblin Rocket Fuel"] = true,
		["Great Rage Potion"] = true,
		["Greater Arcane Elixir"] = true,
		["Greater Arcane Protection Potion"] = true,
		["Greater Dreamless Sleep Potion"] = true,
		["Greater Fire Protection Potion"] = true,
		["Greater Frost Protection Potion"] = true,
		["Greater Healing Potion"] = true,
		["Greater Mana Potion"] = true,
		["Greater Nature Protection Potion"] = true,
		["Greater Shadow Protection Potion"] = true,
		["Greater Stoneshield Potion"] = true,
		["Gurubashi Mojo Madness"] = true,
		["Haste Potion"] = true,
		["Healing Potion"] = true,
		["Heroic Potion"] = true,
		["Holy Protection Potion"] = true,
		["Insane Strength Potion"] = true,
		["Invisibility Potion"] = true,
		["Ironshield Potion"] = true,
		["Lesser Healing Potion"] = true,
		["Lesser Invisibility Potion"] = true,
		["Lesser Mana Potion"] = true,
		["Lesser Stoneshield Potion"] = true,
		["Limited Invulnerability Potion"] = true,
		["Living Action Potion"] = true,
		["Mageblood Potion"] = true,
		["Magic Resistance Potion"] = true,
		["Major Arcane Protection Potion"] = true,
		["Major Dreamless Sleep Potion"] = true,
		["Major Fire Protection Potion"] = true,
		["Major Frost Protection Potion"] = true,
		["Major Healing Potion"] = true,
		["Major Holy Protection Potion"] = true,
		["Major Mana Potion"] = true,
		["Major Nature Protection Potion"] = true,
		["Major Rejuvenation Potion"] = true,
		["Major Shadow Protection Potion"] = true,
		["Major Troll's Blood Potion"] = true,
		["Mana Potion"] = true,
		["Mercurial Stone"] = true,
		["Mighty Rage Potion"] = true,
		["Mighty Troll's Blood Potion"] = true,
		["Minor Healing Potion"] = true,
		["Minor Magic Resistance Potion"] = true,
		["Minor Mana Potion"] = true,
		["Minor Rejuvenation Potion"] = true,
		["Nature Protection Potion"] = true,
		["Oil of Immolation"] = true,
		["Onslaught Elixir"] = true,
		["Philosopher's Stone"] = true,
		["Potion of Curing"] = true,
		["Purification Potion"] = true,
		["Rage Potion"] = true,
		["Restorative Potion"] = true,
		["Shadow Oil"] = true,
		["Shadow Protection Potion"] = true,
		["Shrouding Potion"] = true,
		["Sneaking Potion"] = true,
		["Stonescale Oil"] = true,
		["Strong Troll's Blood Potion"] = true,
		["Super Healing Potion"] = true,
		["Super Mana Potion"] = true,
		["Super Rejuvenation Potion"] = true,
		["Superior Healing Potion"] = true,
		["Superior Mana Potion"] = true,
		["Swiftness Potion"] = true,
		["Swim Speed Potion"] = true,
		["Transmute: Air to Fire"] = true,
		["Transmute: Arcanite"] = true,
		["Transmute: Earth to Life"] = true,
		["Transmute: Earth to Water"] = true,
		["Transmute: Earthstorm Diamond"] = true,
		["Transmute: Elemental Fire"] = true,
		["Transmute: Fire to Earth"] = true,
		["Transmute: Iron to Gold"] = true,
		["Transmute: Life to Earth"] = true,
		["Transmute: Mithril to Truesilver"] = true,
		["Transmute: Primal Air to Fire"] = true,
		["Transmute: Primal Earth to Life"] = true,
		["Transmute: Primal Earth to Water"] = true,
		["Transmute: Primal Fire to Earth"] = true,
		["Transmute: Primal Fire to Mana"] = true,
		["Transmute: Primal Life to Earth"] = true,
		["Transmute: Primal Mana to Fire"] = true,
		["Transmute: Primal Might"] = true,
		["Transmute: Primal Shadow to Water"] = true,
		["Transmute: Primal Water to Air"] = true,
		["Transmute: Primal Water to Shadow"] = true,
		["Transmute: Skyfire Diamond"] = true,
		["Transmute: Undeath to Water"] = true,
		["Transmute: Water to Air"] = true,
		["Transmute: Water to Undeath"] = true,
		["Unstable Mana Potion"] = true,
		["Volatile Healing Potion"] = true,
		["Weak Troll's Blood Potion"] = true,
		["Wildvine Potion"] = true,

		-- Alchemy Obtain Information
		["Discovery - Transmutes"] = true,
		["Discovery - Flasks/Potions"] = true,
		["Discovery - Protection Potions"] = true,
		["Discolored Healing Potion Obt"] = "Quest Reward: Wild Hearts",
		["Mighty Trolls Blood Potion Obt"] = "Common World Drop\n    - Talk to Henry Stern in RFD",
		["Lesser Stoneshield Potion Obt"] = "Quest Reward: Liquid Stone",
		["Restorative Potion Obt"] = "Quest Reward: Uldaman Reagent Run quest (automatically trained)",
		["Wildvine Potion Obt"] = "BoE Mob Drop: Trolls in STV and Hinterlands",
		["Gift of Arthas Obt"] = "BoE Mob Drop: Skeletal Flayer, Slavering Ghoul, WPL",
		["Elixir of Greater Firepower Obt"] = "BoE Mob Drop: Dark Iron Slaver, Dark Iron Watchman, Dark Iron Taskmaster, Searing Gorge",
		["Mighty Rage Potion Obt"] = "BoE Mob Drop: Blackrock Slayer, Burning Steppes",
		["Elixir of the Sages Obt"] = "BoE Mob Drop: Scarlet Enchanter, Scarlet Cleric, Scarlet Curate, Scarlet Archmage, Scarlet Inquisitor, EPL",
		["Elixir of Brute Force Obt"] = "Turn in Bloodpetal Sprouts for the Dadanga is Hungry quest in Un'Goro Crater.",
		["Elixir of the Mongoose Obt"] = "BoE Mob Drop: Jadefire Rogue, Felwood, Legashi Rogue, Azshara",
		["Greater Fire Protection Potion Obt"] = "BoE Mob Drop: Firebrand Invoker, Firebrand Pyromance, LBRS",
		["Greater Frost Protection Potion Obt"] = "BoE Mob Drop: Frostmaul Giants, Winterspring",
		["Greater Nature Protection Potion Obt"] = "BoE Mob Drop: Decaying Horror, Rotting Behemoths, WPL",
		["Greater Arcane Protection Potion Obt"] = "BoE Mob Drop: Cobalt Mageweavers, Winterspring",
		["Greater Shadow Protection Potion Obt"] = "BoE Mob Drop: Dark Adepts, Shadowmages, EPL",
		["Major Mana Potion Obt"] = "Quest Reward: Kirtonos the Herald or BoP Mob Drop: Darkmaster Gandling, Scholomance",
		["Flask of the Titans Obt"] = "BoE Mob Drop: General Drakkisath, UBRS",
		["Flask of Distilled Wisdom Obt"] = "BoE Mob Drop: Balnazzar, Stratholme",
		["Flask of Supreme Power Obt"] = "BoE Mob Drop: Ras Frostwhisper",
		["Flask of Chromatic Resistance Obt"] = "BoE Mob Drop: Gyth, UBRS",
		["Gurubashi Mojo Madness Obt"] = "You can learn this by clicking on a stone table in Zul'Gurub in the Edge of Madness",
		["Fel Strength Elixir Obt"] = "BoP Mob Drop: Mo'arg Weaponsmiths, Terrormasters, Wrathwalkers, and Shadow Council Warlocks, SMV",
		["Fel Regeneration Potion Obt"] = "BoP Mob Drop: Deathforge Imp, Deathforge Guardian, Deathforge Smith, Deathforge Tinkere, SMV",
		["Major Arcane Protection Potion Obt"] = "BoP Mob Drop: Vir'aani Arcanists, Nagrand",
		["Major Fire Protection Potion Obt"] = "BoP Mob Drop: Sunseeker Astromages, The Mechanar",
		["Major Frost Protection Potion Obt"] = "BoP Mob Drop: Nexus-Prince Shaffar, Mana Tombs",
		["Major Holy Protection Potion Obt"] = "BoP Mob Drop: Abyssal Flamebringers, Blade's Edge",
		["Major Shadow Protection Potion Obt"] = "BoP Mob Drop: Shadow Council Warlock, SMV",
		["Fel Mana Potion Obt"] = "BoP Mob Drop: Eclipsion Soldier, Eclipsion Bloodward, Eclipsion Blood Knight, Eclipsion Spellbinder, Eclipsion Archmage, Eclipsion Centurion, Eclipsion Cavalier, Torloth the Magnificient, Illidari Watcher, SMV",
		["Ironshield Potion Obt"] = "BoP Mob Drop: Captain Skarloc, Old Hillsbrad Foothills",

		-- Beast Training Skills
		["Arcane Resistance (Rank 1)"] = true,
		["Arcane Resistance (Rank 2)"] = true,
		["Arcane Resistance (Rank 3)"] = true,
		["Arcane Resistance (Rank 4)"] = true,
		["Arcane Resistance (Rank 5)"] = true,
		["Avoidance (Rank 1)"] = true,
		["Avoidance (Rank 2)"] = true,
		["Bite (Rank 1)"] = true,
		["Bite (Rank 2)"] = true,
		["Bite (Rank 3)"] = true,
		["Bite (Rank 4)"] = true,
		["Bite (Rank 5)"] = true,
		["Bite (Rank 6)"] = true,
		["Bite (Rank 7)"] = true,
		["Bite (Rank 8)"] = true,
		["Bite (Rank 9)"] = true,
		["Charge (Rank 1)"] = true,
		["Charge (Rank 2)"] = true,
		["Charge (Rank 3)"] = true,
		--["Charge (Rank 4)"] = true, -- No charge rank 4 in the game
		["Charge (Rank 5)"] = true,
		["Charge (Rank 6)"] = true,
		["Claw (Rank 1)"] = true,
		["Claw (Rank 2)"] = true,
		["Claw (Rank 3)"] = true,
		["Claw (Rank 4)"] = true,
		["Claw (Rank 5)"] = true,
		["Claw (Rank 6)"] = true,
		["Claw (Rank 7)"] = true,
		["Claw (Rank 8)"] = true,
		["Claw (Rank 9)"] = true,
		["Cobra Reflexes ()"] = true,
		["Cower (Rank 1)"] = true,
		["Cower (Rank 2)"] = true,
		["Cower (Rank 3)"] = true,
		["Cower (Rank 4)"] = true,
		["Cower (Rank 5)"] = true,
		["Cower (Rank 6)"] = true,
		["Cower (Rank 7)"] = true,
		["Dash (Rank 1)"] = true,
		["Dash (Rank 2)"] = true,
		["Dash (Rank 3)"] = true,
		["Dive (Rank 1)"] = true,
		["Dive (Rank 2)"] = true,
		["Dive (Rank 3)"] = true,
		["Fire Breath (Rank 1)"] = true,
		["Fire Breath (Rank 2)"] = true,
		["Fire Resistance (Rank 1)"] = true,
		["Fire Resistance (Rank 2)"] = true,
		["Fire Resistance (Rank 3)"] = true,
		["Fire Resistance (Rank 4)"] = true,
		["Fire Resistance (Rank 5)"] = true,
		["Frost Resistance (Rank 1)"] = true,
		["Frost Resistance (Rank 2)"] = true,
		["Frost Resistance (Rank 3)"] = true,
		["Frost Resistance (Rank 4)"] = true,
		["Frost Resistance (Rank 5)"] = true,
		["Furious Howl (Rank 1)"] = true,
		["Furious Howl (Rank 2)"] = true,
		["Furious Howl (Rank 3)"] = true,
		["Furious Howl (Rank 4)"] = true,
		["Gore (Rank 1)"] = true,
		["Gore (Rank 2)"] = true,
		["Gore (Rank 3)"] = true,
		["Gore (Rank 4)"] = true,
		--["Gore (Rank 5)"] = true, -- Not in game
		--["Gore (Rank 6)"] = true, -- Not in game
		["Gore (Rank 7)"] = true,
		["Gore (Rank 8)"] = true,
		["Gore (Rank 9)"] = true,
		["Great Stamina (Rank 1)"] = true,
		["Great Stamina (Rank 10)"] = true,
		["Great Stamina (Rank 11)"] = true,
		["Great Stamina (Rank 2)"] = true,
		["Great Stamina (Rank 3)"] = true,
		["Great Stamina (Rank 4)"] = true,
		["Great Stamina (Rank 5)"] = true,
		["Great Stamina (Rank 6)"] = true,
		["Great Stamina (Rank 7)"] = true,
		["Great Stamina (Rank 8)"] = true,
		["Great Stamina (Rank 9)"] = true,
		["Growl (Rank 1)"] = true,
		["Growl (Rank 2)"] = true,
		["Growl (Rank 3)"] = true,
		["Growl (Rank 4)"] = true,
		["Growl (Rank 5)"] = true,
		["Growl (Rank 6)"] = true,
		["Growl (Rank 7)"] = true,
		["Growl (Rank 8)"] = true,
		["Lightning Breath (Rank 1)"] = true,
		["Lightning Breath (Rank 2)"] = true,
		["Lightning Breath (Rank 3)"] = true,
		["Lightning Breath (Rank 4)"] = true,
		["Lightning Breath (Rank 5)"] = true,
		["Lightning Breath (Rank 6)"] = true,
		["Natural Armor (Rank 1)"] = true,
		["Natural Armor (Rank 10)"] = true,
		["Natural Armor (Rank 11)"] = true,
		["Natural Armor (Rank 2)"] = true,
		["Natural Armor (Rank 3)"] = true,
		["Natural Armor (Rank 4)"] = true,
		["Natural Armor (Rank 5)"] = true,
		["Natural Armor (Rank 6)"] = true,
		["Natural Armor (Rank 7)"] = true,
		["Natural Armor (Rank 8)"] = true,
		["Natural Armor (Rank 9)"] = true,
		["Nature Resistance (Rank 1)"] = true,
		["Nature Resistance (Rank 2)"] = true,
		["Nature Resistance (Rank 3)"] = true,
		["Nature Resistance (Rank 4)"] = true,
		["Nature Resistance (Rank 5)"] = true,
		["Poison Spit (Rank 1)"] = true,
		["Poison Spit (Rank 2)"] = true,
		["Poison Spit (Rank 3)"] = true,
		["Prowl (Rank 1)"] = true,
		["Prowl (Rank 2)"] = true,
		["Prowl (Rank 3)"] = true,
		["Scorpid Poison (Rank 1)"] = true,
		["Scorpid Poison (Rank 2)"] = true,
		["Scorpid Poison (Rank 3)"] = true,
		["Scorpid Poison (Rank 4)"] = true,
		["Scorpid Poison (Rank 5)"] = true,
		["Screech (Rank 1)"] = true,
		["Screech (Rank 2)"] = true,
		["Screech (Rank 3)"] = true,
		["Screech (Rank 4)"] = true,
		["Screech (Rank 5)"] = true,
		["Shadow Resistance (Rank 1)"] = true,
		["Shadow Resistance (Rank 2)"] = true,
		["Shadow Resistance (Rank 3)"] = true,
		["Shadow Resistance (Rank 4)"] = true,
		["Shadow Resistance (Rank 5)"] = true,
		["Shell Shield (Rank 1)"] = true,
		["Thunderstomp (Rank 1)"] = true,
		["Thunderstomp (Rank 2)"] = true,
		["Thunderstomp (Rank 3)"] = true,
		["Warp (Rank 1)"] = true,

		-- Beast Training Obtain Information
		["Bite (Rank 1) Obt"] = "Ragged Scavenger (2-3, Tirisfal Glades)\n    - Night Web Spider (3-4, Tirisfal Glades)\n    - Forest Spider (5-6, Elwynn Forest)\n    - Githyiss the Vile (5, Teldrassil)\n    - Night Web Matriarch (5, Tirisfal Glades)\n    - Prairie Wolf (5-6, Mulgore)\n    - Snow Tracker Wolf (6-7, Dun Morogh)\n    - Gray Forest Wolf (7-8, Elwynn Forest)\n    - Prairie Stalker (7-8, Mulgore)\n    - Webwood Venomfang (7-8, Teldrassil)\n    - Winter Wolf (7-8, Dun Morogh)\n    - Dreadmaw Crocolisk (9-11, Durotar)",
		["Bite (Rank 2) Obt"] = "Starving Winter Wolf (8-9, Dun Morogh)\n    - Webwood Silkspinner (8-9, Teldrassil)\n    - Prairie Wolf Alpha (9-10, Mulgore)\n    - Prowler (9-10, Elwynn Forest)\n    - Ravager Specimen (9-10, Azuremyst Isle)\n    - Vicious Night Web Spider (9-10, Tirisfal Glades)\n    - Coyote (10-11, Westfall)\n    - Forest Lurker (10-11, Loch Modan)\n    - Giant Webwood Spider (10-11, Teldrassil)\n    - Timber (10 Rare, Dun Morogh)\n    - Worg (10-11, Silverpine Forest)\n    - Coyote Packleader (11-12, Westfall)\n    - Lady Sathrah (12, Teldrassil)\n    - Loch Crocolisk (14-15, Loch Modan)\n    - Oasis Snapjaw (15-16, The Barrens)\n    - Tarantula (15-16, Redridge Mountains)",
		["Bite (Rank 3) Obt"] = "Bloodsnout Worg (16-17, Silverpine Forest)\n    - Deepmoss Creeper (16-17, Stonetalon Mountains)\n    - Ghostclaw Ravager (16-17, Ghostlands)\n    - Wood Lurker (17-18, Loch Modan)\n    - Deviate Crocolisk (18-19, The Wailing Caverns)\n    - Deepmoss Webspinner (19-20, Stonetalon Mountains)\n    - Ghostpaw Runner (19-20, Ashenvale)\n    - Greater Tarantula (19-20, Redridge Mountains)\n    - Shanda the Spinner (19 Rare, Loch Modan)\n    - Forest Moss Creeper (20-21, Hillsbrad Foothills)\n    - Kresh (20 Elite, The Wailing Caverns)\n    - Besseleth (21 Elite, Stonetalon Mountains)\n    - Green Recluse (21-22, Duskwood)\n    - Large Loch Crocolisk (22 Rare, Loch Modan)\n    - Aku'mai Fisher (23-24 Elite, Blackfathom Deeps)\n    - Chatter (23 Rare, Redridge Mountains)\n    - Lupos (23 Rare, Duskwood)\n    - Creepthess (24 Rare, Hillsbrad Foothills)",
		["Bite (Rank 4) Obt"] = "Black Ravager (24-25, Duskwood)\n    - Giant Moss Creeper (24-25, Hillsbrad Foothills)\n    - Leech Widow (24 Rare, Wetlands)\n    - Black Ravager Mastiff (25-26, Duskwood)\n    - Ghamoo-ra (25 Elite, Blackfathom Deeps)\n    - Giant Wetlands Crocolisk (25-26, Wetlands)\n    - Aku'mai Snapjaw (26-27 Elite, Blackfathom Deeps)\n    - Elder Moss Creeper (26-27, Hillsbrad Foothills)\n    - Ghostpaw Alpha (27-28, Ashenvale)\n    - Naraxis (27 Rare, Duskwood)\n    - Wildthorn Lurker (28-29, Ashenvale)\n    - Snapjaw (30-31, Hillsbrad Foothills)",
		["Bite (Rank 5) Obt"] = "Plains Creeper (32-33, Arathi Highlands)\n    - Sparkleshell Snapper (34-35, Thousand Needles)\n    - Crag Coyote (35-36, Badlands)\n    - Darkfang Spider (35-36, Dustwallow Marsh)\n    - Drywallow Crocolisk (35-36, Dustwallow Marsh)\n    - Giant Plains Creeper (35-36, Arathi Highlands)\n    - Darkfang Lurker (36-37, Dustwallow Marsh)\n    - Mudrock Tortoise (36-37, Dustwallow Marsh)\n    - Darkfang Creeper (38-39, Dustwallow Marsh)\n    - Mottled Drywallow Crocolisk (38-39, Dustwallow Marsh)",
		["Bite (Rank 6) Obt"] = "Barnabus (38 Rare, Badlands)\n    - Ripscale (39 Rare, Dustwallow Marsh)\n    - Deathstrike Tarantula (40-41, Swamp of Sorrows)\n    - Drywallow Daggermaw (40-41 Elite, Dustwallow Marsh)\n    - Longtooth Runner (40-41, Feralas)\n    - Mudrock Snapjaw (41-42, Dustwallow Marsh)\n    - Sawtooth Snapper (41-42, Swamp of Sorrows)\n    - Old Cliff Jumper (42 Rare, The Hinterlands)\n    - Snarler (42 Rare, Feralas)\n    - Deadmire (45, Dustwallow Marsh)\n    - Felpaw Wolf (47-48, Felwood)\n    - Timberweb Recluse (47-48, Azshara)\n    - Death Howl (49 Rare, Felwood)",
		["Bite (Rank 7) Obt"] = "Rekk'tilac (48 Rare, Searing Gorge)\n    - Saltwater Snapjaw (49-50, The Hinterlands)\n    - Cave Creeper (50-52, Blackrock Depths)\n    - Vilebranch Raiding Wolf (50-51 Elite, The Hinterlands)\n    - Felpaw Ravager (51-52, Felwood)\n    - Ironback (51 Rare, The Hinterlands)\n    - Uhk'loc (52-53 Rare, Un'Goro Crater)\n    - Diseased Wolf (53-54, Western Plaguelands)\n    - Plague Lurker (54-55, Western Plaguelands)",
		["Bite (Rank 8) Obt"] = "Bloodaxe Worg (56-57, Blackrock Spire)\n    - Quillfang Ravager (62-63, Hellfire Peninsula)\n    - Thornfang Venomspitter (62-63, Hellfire Peninsula)\n    - Dreadfang Lurker (63-64, Terokkar Forest)",
		["Bite (Rank 9) Obt"] = "Dreadfang Widow (64-65, Terokkar Forest)\n    - Rema (66, Blade's Edge Mountains)",
		["Claw (Rank 1) Obt"] = "Scorpid Worker (3, Durotar)\n    - Sarkoth (4, Durotar)\n    - Pygmy Surf Crawler (5-6, Durotar)\n    - Strigid Owl (5-6, Teldrassil)\n    - Ice Claw Bear (7-8, Dun Morogh)",
		["Claw (Rank 2) Obt"] = " Elder Springpaw (8-9, Eversong Woods)\n    - Strigid Hunter (8-9, Teldrassil)\n    - Young Forest Bear (8-9, Elwynn Forest)\n    - Encrusted Surf Crawler (9-10, Durotar)\n    - Venomtail Scorpid (9-10, Durotar)\n    - Death Flayer (11 Rare, Durotar)\n    - Ferocious Grizzled Bear (11-12, Silverpine Forest)\n    - Mangeclaw (11, Dun Morogh)\n    - Thistle Bear (11-12, Darkshore)\n    - Bjarn (12 Rare, Dun Morogh)\n    - Tide Crawler (12-14, Darkshore)\n    - Ghostclaw Lynx (13-14, Ghostlands)",
		["Claw (Rank 3) Obt"] = "Black Bear Patriarch (16-17, Loch Modan)\n    - Ghostclaw Ravager (16-17, Ghostlands)\n    - Shore Crawler (17-18, Westfall)\n    - Den Mother (18-19, Darkshore)\n    - Clattering Crawler (19-20, Ashenvale)\n    - Ghost Saber (19-20 Spawned, Darkshore)\n    - Ol' Sooty (20 Elite, Loch Modan)\n    - Ashenvale Bear (21-22, Ashenvale)\n    - Gray Bear (21-22, Hillsbrad Foothills)\n    - Skittering Crustacean (22-23 Elite, Blackfathom Deeps)\n    - Snapping Crustacean (23-24 Elite, Blackfathom Deeps)",
		["Claw (Rank 4) Obt"] = "Barbed Crustacean (25-26 Elite, Blackfathom Deeps)\n    - Elder Ashenvale Bear (25-26, Ashenvale)\n    - Scorpashi Snapper (30-31, Desolace)\n    - Scorpid Reaver (31-32, Thousand Needles)",
		["Claw (Rank 5) Obt"] = "Scorpashi Lasher (34-35, Desolace)\n    - Vile Sting (35 Rare, Thousand Needles)\n    - Drywallow Snapper (37-38, Dustwallow Marsh)\n    - Venomlash Scorpid (39-40 Elite, Uldaman)",
		["Claw (Rank 6) Obt"] = "Scorpid Hunter (40-41, Tanaris)\n    - Silt Crawler (40-41, Swamp of Sorrows)\n    - Ironfur Bear (41-42, Feralas)\n    - King Bangalash (43 Elite, Stranglethorn Vale)\n    - Monstrous Crawler (43-44, Swamp of Sorrows)\n    - Old Grizzlegut (43 Rare, Feralas)",
		["Claw (Rank 7) Obt"] = "Ironfur Patriarch (48-49, Feralas)\n    - Angerclaw Mauler (49-50, Felwood)\n    - Ironbeak Hunter (50-51, Felwood)\n    - Mongress (50 Rare, Felwood)\n    - Olm the Wise (52 Rare, Felwood)\n    - Clack the Reaver (53 Rare, Blasted Lands)\n    - Shardtooth Bear (53-54, Winterspring)\n    - Deathlash Scorpid (54-55, Burning Steppes)\n    - Winterspring Owl (54-56, Winterspring)\n    - Diseased Grizzly (55-56, Western Plaguelands)",
		["Claw (Rank 8) Obt"] = "Elder Shardtooth (57-58, Winterspring)\n    - Winterspring Screecher (57-59, Winterspring)\n    - Male Kaliri Hatchling (61, Hellfire Peninsula)\n    - Female Kaliri Hatchling (62, Hellfire Peninsula)",
		["Claw (Rank 9) Obt"] = "Scorpid Bonecrawler (64-65, Terokkar Forest)\n    - Ravenous Windroc (65-66, Nagrand)\n    - Windroc Hunter (65, Nagrand)\n    - Greater Windroc (66-67, Nagrand)\n    - Windroc Huntress (66, Nagrand)\n    - Gutripper (67 Elite, Nagrand)\n    - Shadowwing Owl (67, Shadowmoon Valley)\n    - Ripfang Lynx (68-69, Netherstorm)",
		["Charge (Rank 1) Obt"] = "Mottled Boar (1-2, Durotar)\n    - Young Thistle Boar (1-2, Teldrassil)\n    - Thistle Boar (2-3, Teldrassil)\n    - Battleboar (3-4, Mulgore)\n    - Small Crag Boar (3, Dun Morogh)\n    - Bristleback Battleboar (4-5, Mulgore)\n    - Crag Boar (5-6, Dun Morogh)\n    - Dire Mottled Boar (6-7, Durotar)\n    - Large Crag Boar (6-7, Dun Morogh)\n    - Elder Crag Boar (7-8, Dun Morogh)\n    - Porcine Entourage (7, Elwynn Forest)\n    - Rockhide Boar (7-8, Elwynn Forest)\n    - Stonetusk Boar (7-8, Elwynn Forest)\n    - Elder Mottled Boar (8-9, Durotar)\n    - Princess (9, Elwynn Forest)\n    - Scarred Crag Boar (9-10, Dun Morogh)\n    - Corrupted Mottled Boar (10-11, Durotar)\n    - Longsnout (10-11, Elwynn Forest)\n    - Mountain Boar (10-11, Loch Modan)",
		["Charge (Rank 2) Obt"] = "Young Goretusk (12-13, Westfall)\n    - Goretusk (14-15, Westfall)\n    - Mangy Mountain Boar (14-15, Loch Modan)\n    - Elder Mountain Boar (16-17, Loch Modan)\n    - Great Goretusk (16-17, Redridge Mountains)",
		["Charge (Rank 3) Obt"] = "Agam'ar (24-25 Elite, Razorfen Kraul)\n    - Bellygrub (24, Redridge Mountains)\n    - Raging Agam'ar (25-26 Elite, Razorfen Kraul)\n    - Rotting Agam'ar (28 Elite, Razorfen Kraul)",
		--["Charge (Rank 4) Obt"] - "", -- No charge rank 4 in the game
		["Charge (Rank 5) Obt"] = "Ashmane Boar (48-49, Blasted Lands)\n    - Grunter (50 Rare, Blasted Lands)",
		["Charge (Rank 6) Obt"] = "Plagued Swine (60, Eastern Plaguelands)",
		["Cower (Rank 1) Obt"] = " Juvenile Snow Leopard (5-6, Dun Morogh)\n    - Nightsaber (5-6, Teldrassil)\n    - Greater Duskbat (6-7, Tirisfal Glades)\n    - Durotar Tiger (7-8, Durotar)\n    - Flatland Cougar (7-8, Mulgore)\n    - Elder Plainstrider (8-9, Mulgore)\n    - Mazzranache (9 Rare, Mulgore)\n    - Moonstalker Runt (10-11, Darkshore)\n    - Foreststrider Fledgling (11-13, Darkshore)\n    - Fleeting Plainstrider (12-13, The Barrens)",
		["Cower (Rank 2) Obt"] = " Savannah Patriarch (15-16, The Barrens)\n    - Ornery Plainstrider (16-17, The Barrens)\n    - Giant Foreststrider (17-19, Darkshore)\n    - Moonstalker Sire (17-18, Darkshore)\n    - Starving Mountain Lion (23-24, Hillsbrad Foothills)\n    - Twilight Runner (23-24, Stonetalon Mountains)",
		["Cower (Rank 3) Obt"] = "Crag Stalker (25-26, Thousand Needles)\n    - Feral Mountain Lion (27-28, Hillsbrad Foothills)\n    - Kraul Bat (30-31 Elite, Razorfen Kraul)\n    - Young Panther (30-31, Stranglethorn Vale)\n    - Young Stranglethorn Tiger (30-31, Stranglethorn Vale)\n    - Greater Kraul Bat (32 Elite, Razorfen Kraul)\n    - Panther (32-33, Stranglethorn Vale)",
		["Cower (Rank 4) Obt"] = "Ridge Stalker (36-37, Badlands)\n    - Ridge Huntress (38-39, Badlands)\n    - Shrike Bat (38-39 Elite, Uldaman)",
		["Cower (Rank 5) Obt"] = "Dark Screecher (50-52, Blackrock Depths)\n    - Jaguero Stalker (50, Stranglethorn Vale)\n    - Plaguebat (53-55, Eastern Plaguelands)\n    - Noxious Plaguebat (54-56, Eastern Plaguelands)",
		["Cower (Rank 6) Obt"] = "Frostsaber Cub (55-56, Winterspring)\n    - Monstrous Plaguebat (56-58, Eastern Plaguelands)",
		["Cower (Rank 7) Obt"] = "Grovestalker Lynx (65-66, Blade's Edge Mountains)\n    - Ripfang Lynx (68-69, Netherstorm)\n    - Lost Torranche (70, Terokkar Forest)",
		["Dash (Rank 1) Obt"] = "Kurzen War Tiger (32-33, Stranglethorn Vale)\n    - Stranglethorn Tiger (32-33, Stranglethorn Vale)\n    - Bonepaw Hyena (33-35, Desolace)\n    - Scarlet Tracking Hound (33-34 Elite, Scarlet Monastery)\n    - Crag Coyote (35-36, Badlands)\n    - Spot (35, Dustwallow Marsh)\n    - Swamp Jaguar (36-37, Swamp of Sorrows)\n    - Broken Tooth (37 Rare, Badlands)\n    - Feral Crag Coyote (37-38, Badlands)\n    - Magram Bonepaw (37-38, Desolace)\n    - Sin'Dall (37, Stranglethorn Vale)\n    - Elder Crag Coyote (39-40, Badlands)",
		["Dash (Rank 2) Obt"] = "Bhag'thera (40 Elite, Stranglethorn Vale)\n    - Longtooth Runner (40-41, Feralas)\n    - Ridge Stalker Patriarch (40-41, Badlands)\n    - Starving Blisterpaw (41-42, Tanaris)\n    - Elder Shadowmaw Panther (42-43, Stranglethorn Vale)\n    - Old Cliff Jumper (42 Rare, The Hinterlands)\n    - Rabid Crag Coyote (42-43, Badlands)\n    - King Bangalash (43 Elite, Stranglethorn Vale)\n    - Blisterpaw Hyena (44-45, Tanaris)\n    - Rabid Blisterpaw (47-48, Tanaris)\n    - Silvermane Stalker (47-48, The Hinterlands)",
		["Dash (Rank 3) Obt"] = "Grunter (50 Rare, Blasted Lands)\n    - Vilebranch Raiding Wolf (50-51 Elite, The Hinterlands)\n    - Ravage (51 Rare, Blasted Lands)\n    - Scarshield Worg (53-54, Blackrock Spire)\n    - Blackrock Worg (54-55, Burning Steppes)\n    - Bloodaxe Worg (56-57, Blackrock Spire)\n    - Rak'Shiri (57 Rare, Winterspring)\n    - Frostsaber Huntress (58-59, Winterspring)\n    - Frostsaber Stalker (59-60, Winterspring)\n    - Razorfang Hatchling (59-60, Hellfire Peninsula)\n    - Zulian Panther (60 Elite, Zul'Gurub)\n    - Zulian Stalker (61 Elite, Zul'Gurub)\n    - Rip-Blade Ravager (63, Blade's Edge Mountains)",
		["Dive (Rank 1) Obt"] = "Kraul Bat (30-31 Elite, Razorfen Kraul)\n    - Young Mesa Buzzard (31-32, Arathi Highlands)\n    - Greater Kraul Bat (32 Elite, Razorfen Kraul)\n    - Mesa Buzzard (34-35, Arathi Highlands)\n    - Wayward Buzzard (35-37, Badlands)\n    - Dread Flyer (36-37, Desolace)\n    - Shrike Bat (38-39 Elite, Uldaman)",
		["Dive (Rank 2) Obt"] = "Vale Screecher (41-43, Feralas)\n    - Roc (42-43, Tanaris)\n    - Fire Roc (43-45, Tanaris)\n    - Rogue Vale Screecher (44-46, Feralas)\n    - Greater Firebird (46 Rare, Tanaris)\n    - Searing Roc (47-49, Tanaris)\n    - Ironbeak Owl (48-49, Felwood)\n    - Arash-ethis (49 Rare, Feralas)",
		["Dive (Rank 3) Obt"] = "Carrion Vulture (50-52, Western Plaguelands)\n    - Dark Screecher (50-52, Blackrock Depths)\n    - Ironbeak Hunter (50-51, Felwood)\n    - Spawn of Hakkar (51 Elite, The Temple of Atal'Hakkar)\n    - Ironbeak Screecher (52-53, Felwood)\n    - Olm the Wise (52 Rare, Felwood)\n    - Spiteflayer (52 Rare, Blasted Lands)\n    - Plaguebat (53-55, Eastern Plaguelands)\n    - Winterspring Owl (54-56, Winterspring)\n    - Zaricotl (55 Rare, Badlands)\n    - Winterspring Screecher (57-59, Winterspring)\n    - Kaliri Swooper (60, Hellfire Peninsula)\n    - Windroc (64-65, Nagrand)\n    - Windroc Hunter (65, Nagrand)\n    - Windroc Huntress (66, Nagrand)\n    - Windroc Matriarch (66 Spawned Elite, Nagrand)\n    - Shadowwing Owl (67, Shadowmoon Valley)\n    - Skettis Kaliri (70, Terokkar Forest)",
		["Fire Breath (Rank 1) Obt"] = "Feral Dragonhawk Hatchling (5-6, Eversong Woods)\n    - Crazed Dragonhawk (7-8, Eversong Woods)",
		["Fire Breath (Rank 2) Obt"] = "Eclipsion Dragonhawk (67-68, Shadowmoon Valley)\n    - Bloodfalcon (69 Elite, The Botanica)\n    - Bloodfalcon (70 Elite, The Botanica (Heroic))\n    - Phoenix-Hawk Hatchling (70 Elite, Tempest Keep)",
		["Furious Howl (Rank 1) Obt"] = "Worg (10-11, Silverpine Forest)\n    - Coyote Packleader (11-12, Westfall)\n    - Mist Howler (22 Rare, Ashenvale)",
		["Furious Howl (Rank 2) Obt"] = "Black Ravager Mastiff (25-26, Duskwood)\n    - Ghostpaw Alpha (27-28, Ashenvale)\n    - Elder Crag Coyote (39-40, Badlands)\n    - Longtooth Howler (43-44, Feralas)\n    - Silvermane Howler (45-46, The Hinterlands)",
		["Furious Howl (Rank 3) Obt"] = "Longtooth Runner (40-41, Feralas)\n    - Snarler (42 Rare, Feralas)\n    - Silvermane Wolf (43-44, The Hinterlands)\n    - Felpaw Wolf (47-48, Felwood)\n    - Death Howl (49 Rare, Felwood)",
		["Furious Howl (Rank 4) Obt"] = " Bloodaxe Worg (56-57, Blackrock Spire)\n    - Timber Worg (62-63, Terokkar Forest)\n    - Dark Worg (64-65, Nagrand)\n    - Bloodmaul Dire Wolf (65, Blade's Edge Mountains)\n    - Bloodmaul Battle Worg (66-67, Blade's Edge Mountains)\n    - Rema (66, Blade's Edge Mountains)",
		["Gore (Rank 1) Obt"] = "Thistle Boar (2-3, Teldrassil)\n    - Battleboar (3-4, Mulgore)\n    - Bristleback Battleboar (4-5, Mulgore)\n    - Dire Mottled Boar (6-7, Durotar)\n    - Large Crag Boar (6-7, Dun Morogh)\n    - Rockhide Boar (7-8, Elwynn Forest)",
		["Gore (Rank 2) Obt"] = "Elder Mottled Boar (8-9, Durotar)\n    - Ravager Specimen (9-10, Azuremyst Isle)\n    - Corrupted Mottled Boar (10-11, Durotar)\n    - Mountain Boar (10-11, Loch Modan)\n    - Goretusk (14-15, Westfall)",
		["Gore (Rank 3) Obt"] = "Elder Mountain Boar (16-17, Loch Modan)\n    - Enraged Ravager (16-17, Bloodmyst Isle)\n    - Great Goretusk (16-17, Redridge Mountains)",
		["Gore (Rank 4) Obt"] = "Bellygrub (24, Redridge Mountains)",
		--["Gore (Rank 5) Obt"] = "", -- Not in game
		--["Gore (Rank 6) Obt"] = "", -- Not in game
		["Gore (Rank 7) Obt"] = "Ashmane Boar (48-49, Blasted Lands)",
		["Gore (Rank 8) Obt"] = "Plagued Swine (60, Eastern Plaguelands)\n    - Quillfang Skitterer (61-62, Hellfire Peninsula)\n    - Quillfang Ravager (62-63, Hellfire Peninsula)\n    - Thornfang Ravager (62-63, Hellfire Peninsula)",
		["Gore (Rank 9) Obt"] = "Rip-Blade Ravager (63, Blade's Edge Mountains)",
		["Lightning Breath (Rank 1) Obt"] = "Deviate Coiler Hatchling (11 Elite, The Wailing Caverns)",
		["Lightning Breath (Rank 2) Obt"] = "Deviate Coiler (15-16 Elite, The Wailing Caverns)\n    - Deviate Stinglash (16-17 Elite, The Wailing Caverns)\n    - Thunderhawk Hatchling (18-20, The Barrens)\n    - Deviate Dreadfang (20-21 Elite, The Wailing Caverns)\n    - Deviate Venomwing (20-21 Elite, The Wailing Caverns)\n    - Thunderhawk Cloudscraper (20-22, The Barrens)\n    - Greater Thunderhawk (23-24, The Barrens)",
		["Lightning Breath (Rank 3) Obt"] = "Cloud Serpent (25-26, Thousand Needles)\n    - Washte Pawne (25, The Barrens)\n    - Venomous Cloud Serpent (26-28, Thousand Needles)\n    - Elder Cloud Serpent (27-29, Thousand Needles)",
		["Lightning Breath (Rank 4) Obt"] = "Vale Screecher (41-43, Feralas)\n    - Rogue Vale Screecher (44-46, Feralas)",
		["Lightning Breath (Rank 5) Obt"] = "Arash-ethis (49 Rare, Feralas)\n    - Hakkar'i Frostwing (49-50 Elite, The Temple of Atal'Hakkar)\n    - Hakkar'i Sapper (49-50 Elite, The Temple of Atal'Hakkar)\n    - Spawn of Hakkar (51 Elite, The Temple of Atal'Hakkar)",
		["Lightning Breath (Rank 6) Obt"] = "Son of Hakkar (60 Elite, Zul'Gurub)\n    - Soulflayer (61 Elite, Zul'Gurub)\n    - Felsworn Scalewing (66-67, Blade's Edge Mountains)\n    - Scalewing Serpent (66-67, Blade's Edge Mountains)\n    - Cobalt Serpent (68 Elite, Sethekk Halls)\n    - Swiftwing Shredder (68-69, Netherstorm)\n    - Cobalt Serpent (70-71 Elite, Sethekk Halls (Heroic))",
		["Poison Spit (Rank 1) Obt"] = "Deviate Adder (18-19 Elite, The Wailing Caverns)\n    - Deviate Viper (19-20 Elite, The Wailing Caverns)\n    - Deviate Moccasin (20-21 Elite, The Wailing Caverns)",
		["Poison Spit (Rank 2) Obt"] = "Murk Slitherer (45-46 Elite, The Temple of Atal'Hakkar)\n    - Sandfury Guardian (45-46 Spawned Elite, Zul'Farrak)\n    - Murk Spitter (46-47 Elite, The Temple of Atal'Hakkar)",
		["Poison Spit (Rank 3) Obt"] = "Razzashi Adder (60 Elite, Zul'Gurub)\n    - Razzashi Cobra (60 Elite, Zul'Gurub)\n    - Razzashi Serpent (60 Elite, Zul'Gurub)\n    - Coilskar Cobra (68, Shadowmoon Valley)",
		["Prowl (Rank 1) Obt"] = "Mountain Lion (32-33, Alterac Mountains)\n    - Ridge Stalker (36-37, Badlands)\n    - Shadowmaw Panther (37-38, Stranglethorn Vale)\n    - Shadow Panther (39-40, Swamp of Sorrows)",
		["Prowl (Rank 2) Obt"] = "Ridge Stalker Patriarch (40-41, Badlands)\n    - Elder Shadowmaw Panther (42-43, Stranglethorn Vale)",
		["Prowl (Rank 3) Obt"] = "Jaguero Stalker (50, Stranglethorn Vale)\n    - Frostsaber Stalker (59-60, Winterspring)\n    - Zulian Stalker (61 Elite, Zul'Gurub)",
		["Scorpid Poison (Rank 1) Obt"] = "Venomtail Scorpid (9-10, Durotar)\n    - Corrupted Scorpid (10-11, Durotar)\n    - Death Flayer (11 Rare, Durotar)\n    - Silithid Creeper (20-21, The Barrens)\n    - Silithid Swarmer (21-22, The Barrens)",
		["Scorpid Poison (Rank 2) Obt"] = "Scorpashi Snapper (30-31, Desolace)\n    - Scorpid Reaver (31-32, Thousand Needles)\n    - Scorpid Terror (33-34, Thousand Needles)\n    - Cleft Scorpid (35-36, Uldaman)\n    - Vile Sting (35 Rare, Thousand Needles)\n    - Scorpashi Venomlash (38-39, Desolace)",
		["Scorpid Poison (Rank 3) Obt"] = "Scorpid Hunter (40-41, Tanaris)\n    - Deadly Cleft Scorpid (42-43, Uldaman)\n    - Scorpid Tail Lasher (43-44, Tanaris)\n    - Scorpid Duneburrower (46-47 Spawned, Tanaris)\n    - Scorpid Dunestalker (46-47, Tanaris)\n    - Deep Stinger (50-52, Blackrock Depths)\n    - Venomtip Scorpid (52-53, Burning Steppes)\n    - Deathlash Scorpid (54-55, Burning Steppes)\n    - Stonelash Scorpid (54-55, Silithus)",
		["Scorpid Poison (Rank 4) Obt"] = "Firetail Scorpid (56-57, Burning Steppes)\n    - Krellack (56 Rare, Silithus)\n    - Stonelash Pincer (56-57, Silithus)\n    - Stonelash Flayer (58-59, Silithus)",
		["Scorpid Poison (Rank 5) Obt"] = "Scorpok Stinger (50-51, Blasted Lands)\n    - Scorpid Bonecrawler (64-65, Terokkar Forest)\n    - Scorchshell Pincer (68-69, Shadowmoon Valley)",
		["Screech (Rank 1) Obt"] = "Greater Fleshripper (16-17, Westfall)",
		["Screech (Rank 2) Obt"] = "Salt Flats Vulture (32-34, Thousand Needles)\n    - Shrike Bat (38-39 Elite, Uldaman)\n    - Dread Ripper (39-40, Desolace)",
		["Screech (Rank 3) Obt"] = "Ironbeak Owl (48-49, Felwood)\n    - Carrion Vulture (50-52, Western Plaguelands)\n    - Dark Screecher (50-52, Blackrock Depths)",
		["Screech (Rank 4) Obt"] = "Monstrous Plaguebat (56-58, Eastern Plaguelands)\n    - Winterspring Screecher (57-59, Winterspring)\n    - Kaliri Matriarch (63, Hellfire Peninsula)",
		["Screech (Rank 5) Obt"] = "Greater Windroc (66-67, Nagrand)\n    - Windroc Matriarch (66 Spawned Elite, Nagrand)\n    - Gutripper (67 Elite, Nagrand)",
		["Shell Shield (Rank 1) Obt"] = "Kresh (20 Elite, The Wailing Caverns)\n    - Aku'mai Fisher (23-24 Elite, Blackfathom Deeps)\n    - Ghamoo-ra (25 Elite, Blackfathom Deeps)\n    - Aku'mai Snapjaw (26-27 Elite, Blackfathom Deeps)\n    - Snapjaw (30-31, Hillsbrad Foothills)\n    - Ironback (51 Rare, The Hinterlands)",
		["Thunderstomp (Rank 1) Obt"] = "Mistvale Gorilla (32-33, Stranglethorn Vale)\n    - Jungle Thunderer (37-38, Stranglethorn Vale)",
		["Thunderstomp (Rank 2) Obt"] = "Elder Mistvale Gorilla (40-41, Stranglethorn Vale)\n    - Groddoc Thunderer (49-50, Feralas)",
		["Thunderstomp (Rank 3) Obt"] = "Un'Goro Thunderer (52-53, Un'Goro Crater)\n    - U'cha (55, Un'Goro Crater)",
		["Warp (Rank 1) Obt"] = "Warp Stalker (63-64, Terokkar Forest)\n    - Warp Hunter (64-65, Terokkar Forest)\n    - Warp Chaser (67-68, Netherstorm)\n    - Blackwind Warp Chaser (69-70, Terokkar Forest)",

		-- Blacksmithing Recipes
		["Adamantite Breastplate"] = true,
		["Adamantite Cleaver"] = true,
		["Adamantite Dagger"] = true,
		["Adamantite Maul"] = true,
		["Adamantite Plate Bracers"] = true,
		["Adamantite Plate Gloves"] = true,
		["Adamantite Rapier"] = true,
		["Adamantite Rod"] = true,
		["Adamantite Sharpening Stone"] = true,
		["Adamantite Weapon Chain"] = true,
		["Adamantite Weightstone"] = true,
		["Annihilator"] = true,
		["Arcanite Champion"] = true,
		["Arcanite Reaper"] = true,
		["Arcanite Rod"] = true,
		["Arcanite Skeleton Key"] = true,
		["Barbaric Iron Boots"] = true,
		["Barbaric Iron Breastplate"] = true,
		["Barbaric Iron Gloves"] = true,
		["Barbaric Iron Helm"] = true,
		["Barbaric Iron Shoulders"] = true,
		["Belt of the Guardian"] = true,
		["Big Black Mace"] = true,
		["Big Bronze Knife"] = true,
		["Black Amnesty"] = true,
		["Black Felsteel Bracers"] = true,
		["Black Grasp of the Destroyer"] = true,
		["Black Planar Edge"] = true,
		["Blackfury"] = true,
		["Blackguard"] = true,
		["Blazefury"] = true,
		["Blazeguard"] = true,
		["Blazing Rapier"] = true,
		["Blessed Bracers"] = true,
		["Blight"] = true,
		["Bloodmoon"] = true,
		["Bloodsoul Breastplate"] = true,
		["Bloodsoul Gauntlets"] = true,
		["Bloodsoul Shoulders"] = true,
		["Blue Glittering Axe"] = true,
		["Boots of the Protector"] = true,
		["Bracers of the Green Fortress"] = true,
		["Breastplate of Kings"] = true,
		["Bronze Axe"] = true,
		["Bronze Battle Axe"] = true,
		["Bronze Greatsword"] = true,
		["Bronze Mace"] = true,
		["Bronze Shortsword"] = true,
		["Bronze Warhammer"] = true,
		["Bulwark of Kings"] = true,
		["Bulwark of the Ancient Kings"] = true,
		["Coarse Grinding Stone"] = true,
		["Coarse Sharpening Stone"] = true,
		["Coarse Weightstone"] = true,
		["Copper Axe"] = true,
		["Copper Battle Axe"] = true,
		["Copper Bracers"] = true,
		["Copper Chain Belt"] = true,
		["Copper Chain Boots"] = true,
		["Copper Chain Pants"] = true,
		["Copper Chain Vest"] = true,
		["Copper Claymore"] = true,
		["Copper Dagger"] = true,
		["Copper Mace"] = true,
		["Copper Shortsword"] = true,
		["Corruption"] = true,
		["Dark Iron Boots"] = true,
		["Dark Iron Bracers"] = true,
		["Dark Iron Destroyer"] = true,
		["Dark Iron Gauntlets"] = true,
		["Dark Iron Helm"] = true,
		["Dark Iron Leggings"] = true,
		["Dark Iron Mail"] = true,
		["Dark Iron Plate"] = true,
		["Dark Iron Pulverizer"] = true,
		["Dark Iron Reaver"] = true,
		["Dark Iron Shoulders"] = true,
		["Dark Iron Sunderer"] = true,
		["Darkrune Breastplate"] = true,
		["Darkrune Gauntlets"] = true,
		["Darkrune Helm"] = true,
		["Darksoul Breastplate"] = true,
		["Darksoul Leggings"] = true,
		["Darksoul Shoulders"] = true,
		["Dawnbringer Shoulders"] = true,
		["Dawn's Edge"] = true,
		["Dawnsteel Bracers"] = true,
		["Dawnsteel Shoulders"] = true,
		["Dazzling Mithril Rapier"] = true,
		["Deadly Bronze Poniard"] = true,
		["Deep Thunder"] = true,
		["Demon Forged Breastplate"] = true,
		["Dense Grinding Stone"] = true,
		["Dense Sharpening Stone"] = true,
		["Dense Weightstone"] = true,
		["Dirge"] = true,
		["Dragonmaw"] = true,
		["Dragonstrike"] = true,
		["Drakefist Hammer"] = true,
		["Earthforged Leggings"] = true,
		["Earthpeace Breastplate"] = true,
		["Ebon Hand"] = true,
		["Ebon Shiv"] = true,
		["Edge of Winter"] = true,
		["Elemental Sharpening Stone"] = true,
		["Embrace of the Twisting Nether"] = true,
		["Enchanted Adamantite Belt"] = true,
		["Enchanted Adamantite Boots"] = true,
		["Enchanted Adamantite Breastplate"] = true,
		["Enchanted Adamantite Leggings"] = true,
		["Enchanted Battlehammer"] = true,
		["Enchanted Thorium Blades"] = true,
		["Enchanted Thorium Breastplate"] = true,
		["Enchanted Thorium Helm"] = true,
		["Enchanted Thorium Leggings"] = true,
		["Eternium Rod"] = true,
		["Eternium Runed Blade"] = true,
		["Fel Edged Battleaxe"] = true,
		["Fel Hardened Maul"] = true,
		["Fel Iron Breastplate"] = true,
		["Fel Iron Chain Bracers"] = true,
		["Fel Iron Chain Coif"] = true,
		["Fel Iron Chain Gloves"] = true,
		["Fel Iron Chain Tunic"] = true,
		["Fel Iron Greatsword"] = true,
		["Fel Iron Hammer"] = true,
		["Fel Iron Hatchet"] = true,
		["Fel Iron Plate Belt"] = true,
		["Fel Iron Plate Boots"] = true,
		["Fel Iron Plate Gloves"] = true,
		["Fel Iron Plate Pants"] = true,
		["Fel Iron Rod"] = true,
		["Fel Sharpening Stone"] = true,
		["Fel Weightstone"] = true,
		["Felfury Gauntlets"] = true,
		["Felsteel Gloves"] = true,
		["Felsteel Helm"] = true,
		["Felsteel Leggings"] = true,
		["Felsteel Longblade"] = true,
		["Felsteel Reaper"] = true,
		["Felsteel Shield Spike"] = true,
		["Felsteel Whisper Knives"] = true,
		["Fiery Chain Girdle"] = true,
		["Fiery Chain Shoulders"] = true,
		["Fiery Plate Gauntlets"] = true,
		["Fireguard"] = true,
		["Flamebane Bracers"] = true,
		["Flamebane Breastplate"] = true,
		["Flamebane Gloves"] = true,
		["Flamebane Helm"] = true,
		["Frost Tiger Blade"] = true,
		["Frostguard"] = true,
		["Gauntlets of the Iron Tower"] = true,
		["Gemmed Copper Gauntlets"] = true,
		["Girdle of the Dawn"] = true,
		["Glinting Steel Dagger"] = true,
		["Gloves of the Dawn"] = true,
		["Golden Iron Destroyer"] = true,
		["Golden Rod"] = true,
		["Golden Scale Boots"] = true,
		["Golden Scale Bracers"] = true,
		["Golden Scale Coif"] = true,
		["Golden Scale Cuirass"] = true,
		["Golden Scale Gauntlets"] = true,
		["Golden Scale Leggings"] = true,
		["Golden Scale Shoulders"] = true,
		["Golden Skeleton Key"] = true,
		["Great Earthforged Hammer"] = true,
		["Greater Rune of Warding"] = true,
		["Greater Ward of Shielding"] = true,
		["Green Iron Boots"] = true,
		["Green Iron Bracers"] = true,
		["Green Iron Gauntlets"] = true,
		["Green Iron Hauberk"] = true,
		["Green Iron Helm"] = true,
		["Green Iron Leggings"] = true,
		["Green Iron Shoulders"] = true,
		["Hammer of Righteous Might"] = true,
		["Hammer of the Titans"] = true,
		["Hand of Eternity"] = true,
		["Hardened Iron Shortsword"] = true,
		["Heartseeker"] = true,
		["Heavy Bronze Mace"] = true,
		["Heavy Copper Broadsword"] = true,
		["Heavy Copper Longsword"] = true,
		["Heavy Copper Maul"] = true,
		["Heavy Earthforged Breastplate"] = true,
		["Heavy Grinding Stone"] = true,
		["Heavy Mithril Axe"] = true,
		["Heavy Mithril Boots"] = true,
		["Heavy Mithril Breastplate"] = true,
		["Heavy Mithril Gauntlet"] = true,
		["Heavy Mithril Helm"] = true,
		["Heavy Mithril Pants"] = true,
		["Heavy Mithril Shoulder"] = true,
		["Heavy Obsidian Belt"] = true,
		["Heavy Sharpening Stone"] = true,
		["Heavy Timbermaw Belt"] = true,
		["Heavy Timbermaw Boots"] = true,
		["Heavy Weightstone"] = true,
		["Helm of the Great Chief"] = true,
		["Helm of the Stalwart Defender"] = true,
		["Huge Thorium Battleaxe"] = true,
		["Icebane Bracers"] = true,
		["Icebane Breastplate"] = true,
		["Icebane Gauntlets"] = true,
		["Iceguard Breastplate"] = true,
		["Iceguard Helm"] = true,
		["Iceguard Leggings"] = true,
		["Imperial Plate Belt"] = true,
		["Imperial Plate Boots"] = true,
		["Imperial Plate Bracers"] = true,
		["Imperial Plate Chest"] = true,
		["Imperial Plate Helm"] = true,
		["Imperial Plate Leggings"] = true,
		["Imperial Plate Shoulders"] = true,
		["Inlaid Mithril Cylinder"] = true,
		["Invulnerable Mail"] = true,
		["Iridescent Hammer"] = true,
		["Iron Buckle"] = true,
		["Iron Counterweight"] = true,
		["Iron Shield Spike"] = true,
		["Ironforge Breastplate"] = true,
		["Ironvine Belt"] = true,
		["Ironvine Breastplate"] = true,
		["Ironvine Gloves"] = true,
		["Jade Serpentblade"] = true,
		["Jagged Obsidian Shield"] = true,
		["Khorium Belt"] = true,
		["Khorium Boots"] = true,
		["Khorium Champion"] = true,
		["Khorium Pants"] = true,
		["Lavaforged Hammer"] = true,
		["Lesser Rune of Warding"] = true,
		["Lesser Ward of Shielding"] = true,
		["Light Earthforged Blade"] = true,
		["Light Emberforged Hammer"] = true,
		["Light Obsidian Belt"] = true,
		["Light Skyforged Axe"] = true,
		["Lionheart Blade"] = true,
		["Lionheart Champion"] = true,
		["Lionheart Executioner"] = true,
		["Lionheart Helm"] = true,
		["Lunar Crescent"] = true,
		["Massive Iron Axe"] = true,
		["Masterwork Stormhammer"] = true,
		["Mighty Iron Hammer"] = true,
		["Mithril Coif"] = true,
		["Mithril Scale Bracers"] = true,
		["Mithril Scale Pants"] = true,
		["Mithril Scale Shoulders"] = true,
		["Mithril Shield Spike"] = true,
		["Mithril Spurs"] = true,
		["Mooncleaver"] = true,
		["Moonsteel Broadsword"] = true,
		["Nether Chain Shirt"] = true,
		["Nightfall"] = true,
		["Oathkeeper's Helm"] = true,
		["Obsidian Mail Tunic"] = true,
		["Orcish War Leggings"] = true,
		["Ornate Mithril Boots"] = true,
		["Ornate Mithril Breastplate"] = true,
		["Ornate Mithril Gloves"] = true,
		["Ornate Mithril Helm"] = true,
		["Ornate Mithril Pants"] = true,
		["Ornate Mithril Shoulder"] = true,
		["Ornate Thorium Handaxe"] = true,
		["Patterned Bronze Bracers"] = true,
		["Pearl-handled Dagger"] = true,
		["Persuader"] = true,
		["Phantom Blade"] = true,
		["Polished Steel Boots"] = true,
		["Radiant Belt"] = true,
		["Radiant Boots"] = true,
		["Radiant Breastplate"] = true,
		["Radiant Circlet"] = true,
		["Radiant Gloves"] = true,
		["Radiant Leggings"] = true,
		["Ragesteel Breastplate"] = true,
		["Ragesteel Gloves"] = true,
		["Ragesteel Helm"] = true,
		["Ragesteel Shoulders"] = true,
		["Red Belt of Battle"] = true,
		["Red Havoc Boots"] = true,
		["Rough Bronze Boots"] = true,
		["Rough Bronze Cuirass"] = true,
		["Rough Bronze Leggings"] = true,
		["Rough Bronze Shoulders"] = true,
		["Rough Copper Vest"] = true,
		["Rough Grinding Stone"] = true,
		["Rough Sharpening Stone"] = true,
		["Rough Weightstone"] = true,
		["Runed Copper Belt"] = true,
		["Runed Copper Bracers"] = true,
		["Runed Copper Breastplate"] = true,
		["Runed Copper Gauntlets"] = true,
		["Runed Copper Pants"] = true,
		["Runed Mithril Hammer"] = true,
		["Runic Breastplate"] = true,
		["Runic Hammer"] = true,
		["Runic Plate Boots"] = true,
		["Runic Plate Helm"] = true,
		["Runic Plate Leggings"] = true,
		["Runic Plate Shoulders"] = true,
		["Sageblade"] = true,
		["Searing Golden Blade"] = true,
		["Serenity"] = true,
		["Shadesteel Bracers"] = true,
		["Shadesteel Girdle"] = true,
		["Shadesteel Greaves"] = true,
		["Shadesteel Sabots"] = true,
		["Shadow Crescent Axe"] = true,
		["Shining Silver Breastplate"] = true,
		["Silver Rod"] = true,
		["Silver Skeleton Key"] = true,
		["Silvered Bronze Boots"] = true,
		["Silvered Bronze Breastplate"] = true,
		["Silvered Bronze Gauntlets"] = true,
		["Silvered Bronze Leggings"] = true,
		["Silvered Bronze Shoulders"] = true,
		["Skyforged Great Axe"] = true,
		["Solid Grinding Stone"] = true,
		["Solid Iron Maul"] = true,
		["Solid Sharpening Stone"] = true,
		["Solid Weightstone"] = true,
		["Steel Breastplate"] = true,
		["Steel Plate Helm"] = true,
		["Steel Weapon Chain"] = true,
		["Steelgrip Gauntlets"] = true,
		["Stoneforged Claymore"] = true,
		["Storm Gauntlets"] = true,
		["Storm Helm"] = true,
		["Stormforged Axe"] = true,
		["Stormforged Hauberk"] = true,
		["Stormherald"] = true,
		["Stronghold Gauntlets"] = true,
		["Sulfuron Hammer"] = true,
		["Swiftsteel Bracers"] = true,
		["Swiftsteel Gloves"] = true,
		["Swiftsteel Shoulders"] = true,
		["The Planar Edge"] = true,
		["The Shatterer"] = true,
		["Thick Bronze Darts"] = true,
		["Thick Obsidian Breastplate"] = true,
		["Thick War Axe"] = true,
		["Thorium Armor"] = true,
		["Thorium Belt"] = true,
		["Thorium Boots"] = true,
		["Thorium Bracers"] = true,
		["Thorium Helm"] = true,
		["Thorium Leggings"] = true,
		["Thorium Shield Spike"] = true,
		["Thunder"] = true,
		["Titanic Leggings"] = true,
		["Truesilver Breastplate"] = true,
		["Truesilver Champion"] = true,
		["Truesilver Gauntlets"] = true,
		["Truesilver Rod"] = true,
		["Truesilver Skeleton Key"] = true,
		["Twisting Nether Chain Shirt"] = true,
		["Volcanic Hammer"] = true,
		["Whirling Steel Axes"] = true,
		["Whitesoul Helm"] = true,
		["Wicked Edge of the Planes"] = true,
		["Wicked Mithril Blade"] = true,
		["Wildguard Breastplate"] = true,
		["Wildguard Helm"] = true,
		["Wildguard Leggings"] = true,
		["Wildthorn Mail"] = true,
		["Windforged Leggings"] = true,
		["Windforged Rapier"] = true,

		-- Blacksmithin Obtain Information
		["Blacksmithing Plans"] = "Item Drop: Randomly drops from blacksmithing plans found in BRD and Stratholme",
		["Inlaid Mithril Cylinder Obt"] = "Crafted: This recipe is crafted by Gnomish Engineers",
		["Copper Chain Vest Obt"] = "Uncommon World Drop\n    - (A): Quest Reward: Supplying the Front",
		["Ironforge Breastplate Obt"] = "Quest Reward: Gearing Redridge",
		["Barbaric Iron Shoulders Obt"] = "Quest Reward: On Iron Pauldroms",
		["Barbaric Iron Breastplate Obt"] = "Quest Reward: Barbaric Battlements",
		["Barbaric Iron Helm Obt"] = "Quest Reward: Horns of Frenzy",
		["Barbaric Iron Boots Obt"] = "Quest Reward: Trampled Under Foot",
		["Barbaric Iron Gloves Obt"] = "Quest Reward: Joys of Omosh",
		["Golden Scale Gauntlets Obt"] = "Quest Reward: The Origins of Smithing",
		["Ornate Mithril Pants Obt"] = "Quest Reward: Smelt On, Smelt Off",
		["Ornate Mithril Gloves Obt"] = "Quest Reward: The Great Silver Deceiver",
		["Ornate Mithril Shoulder Obt"] = "Quest Reward: The Art of the Imbue",
		["Ornate Mithril Helm Obt"] = "Quest Reward: A Good Head on Your Shoulders",
		["Orcish War Leggings Obt"] = "Quest Reward: The Old Ways",
		["Imperial Plate Shoulders Obt"] = "Quest Reward: Imperial Plate Shoulders",
		["Imperial Plate Belt Obt"] = "Quest Reward: Imperial Plate Belt",
		["Imperial Plate Bracers Obt"] = "Quest Reward: Imperial Plate Bracers",
		["Imperial Plate Boots Obt"] = "Quest Reward: Imperial Plate Boots",
		["Imperial Plate Helm Obt"] = "Quest Reward: Imperial Plate Helm",
		["Imperial Plate Chest Obt"] = "Quest Reward: Imperial Plate Chest",
		["Imperial Plate Leggings Obt"] = "Quest Reward: Imperial Plate Leggings",
		["Demon Forged Breastplate Obt"] = "Quest Reward: The Demon Forge",
		["Fiery Plate Gauntlets Obt"] = "Quest Reward: Fiery Plate Gauntlets",
		["Sulfuron Hammer Obt"] = "Quest Reward: A Binding Contract",
		["Enchanted Thorium Helm Obt"] = "Quest Reward: Enchanted Thorium Platemail Vol III",
		["Enchanted Thorium Leggings Obt"] = "Quest Reward: Enchanted Thorium Platemail Vol II",
		["Enchanted Thorium Breastplate Obt"] = "Quest Reward: Enchanted Thorium Platemail Vol I",
		["Volcanic Hammer Obt"] = "BoE Mob Drop: Volchan, Burning Steppes",
		["Runic Plate Shoulders Obt"] = "BoE Mob Drop: Strashaz Serpent Guards, Dustwallow Marsh (Alcaz Island)",
		["Runic Plate Boots Obt"] = "BoE Mob Drop: Scarlet Cavaliers, WPL",
		["Runic Plate Helm Obt"] = "BoE Mob Drop: Strashaz Warriors, Dustwallow Marsh (Alcaz Island)",
		["Runic Breastplate Obt"] = "BoE Mob Drop: Strashaz Myrmidons, Dustwallow Marsh (Alcaz Island)",
		["Runic Plate Leggings Obt"] = "BoE Mob Drop: Scarlet Smiths, WPL",
		["Dark Iron Sunderer Obt"] = "BoE Mob Drop: Hammered Patrons, Ribbly's Crony, BRD",
		["Heartseeker Obt"] = "BoE Mob Drop: Cannon Master Willey, Stratholme",
		["Dark Iron Plate Obt"] = "BoE Mob Drop: Ribbly Screwspigot, BRD",
		["Invulnerable Mail Obt"] = "BoE Mob Drop: Goraluk Anvilcrack, UBRS\n    - Epic World Drop",
		["Arcanite Champion Obt"] = "BoE Mob Drop: Goraluk Anvilcrack, UBRS",
		["Frostguard Obt"] = "BoE Mob Drop: Foreman Marcrid, WPL",
		["Hammer of the Titans Obt"] = "BoE Mob Drop: Maleki the Pallid, Stratholme",
		["Masterwork Stormhammer Obt"] = "BoE Mob Drop: Goraluk Anvilcrack, UBRS",
		["Annihilator Obt"] = "BoE Mob Drop: Quartermaster, LBRS",
		["Arcanite Reaper Obt"] = "BoE Mob Drop: Bannok Grimaxe, LBRS",
		["Black Grasp of the Destroyer Obt"] = "BoP Mob Drop: Moam, AQ20",
		["Thick Obsidian Breastplate Obt"] = "BoP Mob Drop: The Prophet Skeram,",
		["Felsteel Gloves Obt"] = "BoP Mob Drop: Auchenai Monks, Auchenai Crypts",
		["Felsteel Leggings Obt"] = "BoP Mob Drop: Unchained Doombringer, The Arcatraz",
		["Khorium Belt Obt"] = "BoP Mob Drop: Murkblood Raiders, Nagrand",
		["Khorium Pants Obt"] = "BoP Mob Drop: Deathforge Guardians, SMV",
		["Felsteel Helm Obt"] = "BoP Mob Drop: Cabal Fanatic, Shadow Labyrinth",
		["Khorium Boots Obt"] = "BoP Mob Drop: Disembodied Protector, Netherstorm",
		["Ragesteel Gloves Obt"] = "BoP Mob Drop: Boulderfist Warrior, Nagrand",
		["Ragesteel Helm Obt"] = "BoP Mob Drop: Anger Guards, Blade's Edge Mountains",
		["Ragesteel Breastplate Obt"] = "BoP Mob Drop, Ashtongue Warrior, SMV",
		["Swiftsteel Gloves Obt"] = "BoP Mob Drop, Nexus Stalkers, Mana-Tombs",
 		["Earthpeace Breastplate Obt"] = "BoP Mob Drop, High Botanist Freywinn, The Botanica",
		["Greater Ward of Shielding Obt"] = "BoP Mob Drop: Sunfury Bloodwatchers, Netherstorm",
		["Ragesteel Shoulders Obt"] = "BoP Mob Drop: Enraged Earth Spirit, Enraged Air Spirirt, Enraged Fire Spirirt, Enraged Water Spirirt, SMV",
		["Dark Iron Pulverizer Obt"] = "BoE Mob Drop: Grizzle, BRD",
		["Blazing Rapier Obt"] = "Quest Reward: Corruption",
		["Enchanted Battlehammer Obt"] = "Quest Reward: Sweet Serenity",
		["Dawn's Edge Obt"] = "Quest Reward: Snakestone of the Shadow Huntress",

		-- Cooking Recipes
		["Baked Salmon"] = true,
		["Barbecued Buzzard Wing"] = true,
		["Bat Bites"] = true,
		["Beer Basted Boar Ribs"] = true,
		["Big Bear Steak"] = true,
		["Blackened Basilisk"] = true,
		["Blackened Sporefish"] = true,
		["Blackened Trout"] = true,
		["Blood Sausage"] = true,
		["Boiled Clams"] = true,
		["Brilliant Smallfish"] = true,
		["Bristle Whisker Catfish"] = true,
		["Broiled Bloodfin"] = true,
		["Buzzard Bites"] = true,
		["Carrion Surprise"] = true,
		["Charred Wolf Meat"] = true,
		["Clam Bar"] = true,
		["Clam Chowder"] = true,
		["Cooked Crab Claw"] = true,
		["Cooked Glossy Mightfish"] = true,
		["Coyote Steak"] = true,
		["Crab Cake"] = true,
		["Crispy Bat Wing"] = true,
		["Crispy Lizard Tail"] = true,
		["Crocolisk Gumbo"] = true,
		["Crocolisk Steak"] = true,
		["Crunchy Serpent"] = true,
		["Crunchy Spider Surprise"] = true,
		["Curiously Tasty Omelet"] = true,
		["Delicious Chocolate Cake"] = true,
		["Dig Rat Stew"] = true,
		["Dirge's Kickin' Chimaerok Chops"] = true,
		["Dragonbreath Chili"] = true,
		["Dry Pork Ribs"] = true,
		["Egg Nog"] = true,
		["Feltail Delight"] = true,
		["Filet of Redgill"] = true,
		["Fillet of Frenzy"] = true,
		["Fisherman's Feast"] = true,
		["Giant Clam Scorcho"] = true,
		["Gingerbread Cookie"] = true,
		["Goblin Deviled Clams"] = true,
		["Golden Fish Sticks"] = true,
		["Goldthorn Tea"] = true,
		["Gooey Spider Cake"] = true,
		["Goretusk Liver Pie"] = true,
		["Grilled Mudfish"] = true,
		["Grilled Squid"] = true,
		["Heavy Crocolisk Stew"] = true,
		["Heavy Kodo Stew"] = true,
		["Herb Baked Egg"] = true,
		["Hot Buttered Trout"] = true,
		["Hot Lion Chops"] = true,
		["Hot Smoked Bass"] = true,
		["Hot Wolf Ribs"] = true,
		["Jungle Stew"] = true,
		["Kaldorei Spider Kabob"] = true,
		["Kibler's Bits"] = true,
		["Lean Venison"] = true,
		["Lean Wolf Steak"] = true,
		["Lobster Stew"] = true,
		["Loch Frenzy Delight"] = true,
		["Longjaw Mud Snapper"] = true,
		["Lynx Steak"] = true,
		["Mightfish Steak"] = true,
		["Mithril Headed Trout"] = true,
		["Mok'Nathal Shortribs"] = true,
		["Monster Omelet"] = true,
		["Murloc Fin Soup"] = true,
		["Mystery Stew"] = true,
		["Nightfin Soup"] = true,
		["Poached Bluefish"] = true,
		["Poached Sunscale Salmon"] = true,
		["Rainbow Fin Albacore"] = true,
		["Ravager Dog"] = true,
		["Redridge Goulash"] = true,
		["Roast Raptor"] = true,
		["Roasted Boar Meat"] = true,
		["Roasted Clefthoof"] = true,
		["Roasted Kodo Meat"] = true,
		["Roasted Moongraze Tenderloin"] = true,
		["Rockscale Cod"] = true,
		["Runn Tum Tuber Surprise"] = true,
		["Sagefish Delight"] = true,
		["Savory Deviate Delight"] = true,
		["Scorpid Surprise"] = true,
		["Seasoned Wolf Kabob"] = true,
		["Skullfish Soup"] = true,
		["Slitherskin Mackerel"] = true,
		["Smoked Bear Meat"] = true,
		["Smoked Desert Dumplings"] = true,
		["Smoked Sagefish"] = true,
		["Soothing Turtle Bisque"] = true,
		["Spice Bread"] = true,
		["Spiced Chili Crab"] = true,
		["Spiced Wolf Meat"] = true,
		["Spicy Crawdad"] = true,
		["Spicy Hot Talbuk"] = true,
		["Spider Sausage"] = true,
		["Sporeling Snack"] = true,
		["Spotted Yellowtail"] = true,
		["Stewed Trout"] = true,
		["Stormchops"] = true,
		["Strider Stew"] = true,
		["Succulent Pork Ribs"] = true,
		["Talbuk Steak"] = true,
		["Tasty Lion Steak"] = true,
		["Tender Wolf Steak"] = true,
		["Thistle Tea"] = true,
		["Undermine Clam Chowder"] = true,
		["Warp Burger"] = true,
		["Westfall Stew"] = true,
		
		-- Cooking Obtain Information
		["Roasted Moongraze Tenderloin Obt"] = "Quest Reward: The Great Moongraze Hunt",
		["Kaldorei Spider Kabob Obt"] = "Quest Reward: Recipe of the Kaldorei",
		["Beer Basted Boar Ribs Obt"] = "Quest Reward: Beer Basted Boar Ribs\n    - Vendor",
		["Strider Stew Obt"] = "Quest Reward: Easy Strider Living\n    - Vendor",
		["Goretusk Liver Pie Obt"] = "Quest Reward: Goretusk Liver Pie\n    - Vendor",
		["Blood Sausage Obt"] = "Quest Reward: Thelsamar Blood Sausages\n    Vendor",
		["Thistle Tea Obt"] = "(A): Quest Reward: Klaven's Tower\n    - (H): Quest Reward: Mission: Possible But Not Probable\n    - Vendor: Smudge Thunderwood, Alterac Mountains",
		["Crunchy Spider Surprise Obt"] = "(H): Quest Reward: Culinary Crunch\n    - Vendor",
		["Westfall Stew Obt"] = "Quest Reward: Westfall Stew\n    - Vendor",
		["Crocolisk Steak Obt"] = "Quest Reward: Crocolisk Hunting\n    - Vendor",
		["Savory Deviate Delight Obt"] = "Uncommon Drop: The Barrens",
		["Murloc Fin Soup Obt"] = "Quest Reward: Selling Fish\n    - Vendor",
		["Dig Rat Stew Obt"] = "Quest Reward: Dig Rat Stew",
		["Redridge Goulash Obt"] = "Quest Reward: Redridge Goulash\n    - Vendor",
		["Seasoned Wolf Kabob Obt"] = "Quest Reward: Seasoned Wolf Kabobs\n    - Vendor",
		["Gooey Spider Cake Obt"] = "Quest Reward: Dusky Crab Cakes\n    - Vendor",
		["Big Bear Steak Obt"] = "(H): Quest Reward: The Rescue\n    - Vendor",
		["Crocolisk Gumbo Obt"] = "Quest Reward: Apprentice's Duties\n    - Vendor",
		["Hot Lion Chops Obt"] = "(H): Quest Reward: Elixir of Pain\n    - Vendor",
		["Curiously Tasty Omelet Obt"] = "(A): Quest Reward: Ormer's Revenge\n    - Vendor",
		["Tasty Lion Steak Obt"] = "Quest Reward: Costly Menace",
		["Soothing Turtle Bisque Obt"] = "Quest Reward: Soothing Turtle Bisque",
		["Barbecued Buzzard Wing Obt"] = "Quest Reward: Barbecued Buzzard Wings\n    - Vendor",
		["Goldthorn Tea Obt"] = "Talk to Henry Stern in RFD",
		["Runn Tum Tuber Surprise Obt"] = "BoP Mod Drop: Pusillin, Dire Maul",
		["Smoked Desert Dumplings Obt"] = "Quest Reward: Desert Recipe",
		["Dirge's Kickin' Chimaerok Chops Obt"] = "Quest Reward: Dirge's Kickin' Chimaerok Chops",
		["Buzzard Bites Obt"] = "Quest Reward: Smooth as Butter",
		["Stewed Trout Obt"] = "Trainer: Kylene",
		["Crunchy Serpent Obt"] = "(H): Quest Reward: Mok'Nathal Treats\n    - Vendor",
		["Mok'Nathal Shortribs Obt"] = "(H): Quest Reward: Mok'Nathal Treats\n    - Vendor",
		["Fisherman's Feast Obt"] = "Trainer: Kylene",
		["Hot Buttered Trout Obt"] = "Trainer: Kylene",
		["Cooking Daily"] = "Quest Reward: Random reward from the cooking daily quest.",

		-- Enchanting Recipes
		["Brilliant Mana Oil"] = true,
		["Brilliant Wizard Oil"] = true,
		["Enchant 2H Weapon - Agility"] = true,
		["Enchant 2H Weapon - Greater Impact"] = true,
		["Enchant 2H Weapon - Impact"] = true,
		["Enchant 2H Weapon - Lesser Impact"] = true,
		["Enchant 2H Weapon - Lesser Intellect"] = true,
		["Enchant 2H Weapon - Lesser Spirit"] = true,
		["Enchant 2H Weapon - Major Agility"] = true,
		["Enchant 2H Weapon - Major Intellect"] = true,
		["Enchant 2H Weapon - Major Spirit"] = true,
		["Enchant 2H Weapon - Minor Impact"] = true,
		["Enchant 2H Weapon - Savagery"] = true,
		["Enchant 2H Weapon - Superior Impact"] = true,
		["Enchant Boots - Agility"] = true,
		["Enchant Boots - Boar's Speed"] = true,
		["Enchant Boots - Cat's Swiftness"] = true,
		["Enchant Boots - Dexterity"] = true,
		["Enchant Boots - Fortitude"] = true,
		["Enchant Boots - Greater Agility"] = true,
		["Enchant Boots - Greater Stamina"] = true,
		["Enchant Boots - Lesser Agility"] = true,
		["Enchant Boots - Lesser Spirit"] = true,
		["Enchant Boots - Lesser Stamina"] = true,
		["Enchant Boots - Minor Agility"] = true,
		["Enchant Boots - Minor Speed"] = true,
		["Enchant Boots - Minor Stamina"] = true,
		["Enchant Boots - Spirit"] = true,
		["Enchant Boots - Stamina"] = true,
		["Enchant Boots - Surefooted"] = true,
		["Enchant Boots - Vitality"] = true,
		["Enchant Bracer - Assault"] = true,
		["Enchant Bracer - Brawn"] = true,
		["Enchant Bracer - Deflection"] = true,
		["Enchant Bracer - Fortitude"] = true,
		["Enchant Bracer - Greater Intellect"] = true,
		["Enchant Bracer - Greater Spirit"] = true,
		["Enchant Bracer - Greater Stamina"] = true,
		["Enchant Bracer - Greater Strength"] = true,
		["Enchant Bracer - Healing Power"] = true,
		["Enchant Bracer - Intellect"] = true,
		["Enchant Bracer - Lesser Deflection"] = true,
		["Enchant Bracer - Lesser Intellect"] = true,
		["Enchant Bracer - Lesser Spirit"] = true,
		["Enchant Bracer - Lesser Stamina"] = true,
		["Enchant Bracer - Lesser Strength"] = true,
		["Enchant Bracer - Major Defense"] = true,
		["Enchant Bracer - Major Intellect"] = true,
		["Enchant Bracer - Mana Regeneration"] = true,
		["Enchant Bracer - Minor Agility"] = true,
		["Enchant Bracer - Minor Deflection"] = true,
		["Enchant Bracer - Minor Health"] = true,
		["Enchant Bracer - Minor Spirit"] = true,
		["Enchant Bracer - Minor Stamina"] = true,
		["Enchant Bracer - Minor Strength"] = true,
		["Enchant Bracer - Restore Mana Prime"] = true,
		["Enchant Bracer - Spellpower"] = true,
		["Enchant Bracer - Spirit"] = true,
		["Enchant Bracer - Stamina"] = true,
		["Enchant Bracer - Stats"] = true,
		["Enchant Bracer - Strength"] = true,
		["Enchant Bracer - Superior Healing"] = true,
		["Enchant Bracer - Superior Spirit"] = true,
		["Enchant Bracer - Superior Stamina"] = true,
		["Enchant Bracer - Superior Strength"] = true,
		["Enchant Chest - Exceptional Health"] = true,
		["Enchant Chest - Exceptional Stats"] = true,
		["Enchant Chest - Greater Health"] = true,
		["Enchant Chest - Greater Mana"] = true,
		["Enchant Chest - Greater Stats"] = true,
		["Enchant Chest - Health"] = true,
		["Enchant Chest - Lesser Absorption"] = true,
		["Enchant Chest - Lesser Health"] = true,
		["Enchant Chest - Lesser Mana"] = true,
		["Enchant Chest - Lesser Stats"] = true,
		["Enchant Chest - Major Health"] = true,
		["Enchant Chest - Major Mana"] = true,
		["Enchant Chest - Major Resilience"] = true,
		["Enchant Chest - Major Spirit"] = true,
		["Enchant Chest - Mana"] = true,
		["Enchant Chest - Minor Absorption"] = true,
		["Enchant Chest - Minor Health"] = true,
		["Enchant Chest - Minor Mana"] = true,
		["Enchant Chest - Minor Stats"] = true,
		["Enchant Chest - Restore Mana Prime"] = true,
		["Enchant Chest - Stats"] = true,
		["Enchant Chest - Superior Health"] = true,
		["Enchant Chest - Superior Mana"] = true,
		["Enchant Cloak - Defense"] = true,
		["Enchant Cloak - Dodge"] = true,
		["Enchant Cloak - Fire Resistance"] = true,
		["Enchant Cloak - Greater Agility"] = true,
		["Enchant Cloak - Greater Arcane Resistance"] = true,
		["Enchant Cloak - Greater Defense"] = true,
		["Enchant Cloak - Greater Fire Resistance"] = true,
		["Enchant Cloak - Greater Nature Resistance"] = true,
		["Enchant Cloak - Greater Resistance"] = true,
		["Enchant Cloak - Greater Shadow Resistance"] = true,
		["Enchant Cloak - Lesser Agility"] = true,
		["Enchant Cloak - Lesser Fire Resistance"] = true,
		["Enchant Cloak - Lesser Protection"] = true,
		["Enchant Cloak - Lesser Shadow Resistance"] = true,
		["Enchant Cloak - Major Armor"] = true,
		["Enchant Cloak - Major Resistance"] = true,
		["Enchant Cloak - Minor Agility"] = true,
		["Enchant Cloak - Minor Protection"] = true,
		["Enchant Cloak - Minor Resistance"] = true,
		["Enchant Cloak - Resistance"] = true,
		["Enchant Cloak - Spell Penetration"] = true,
		["Enchant Cloak - Stealth"] = true,
		["Enchant Cloak - Subtlety"] = true,
		["Enchant Cloak - Superior Defense"] = true,
		["Enchant Gloves - Advanced Herbalism"] = true,
		["Enchant Gloves - Advanced Mining"] = true,
		["Enchant Gloves - Agility"] = true,
		["Enchant Gloves - Assault"] = true,
		["Enchant Gloves - Blasting"] = true,
		["Enchant Gloves - Fire Power"] = true,
		["Enchant Gloves - Fishing"] = true,
		["Enchant Gloves - Frost Power"] = true,
		["Enchant Gloves - Greater Agility"] = true,
		["Enchant Gloves - Greater Strength"] = true,
		["Enchant Gloves - Healing Power"] = true,
		["Enchant Gloves - Herbalism"] = true,
		["Enchant Gloves - Major Healing"] = true,
		["Enchant Gloves - Major Spellpower"] = true,
		["Enchant Gloves - Major Strength"] = true,
		["Enchant Gloves - Mining"] = true,
		["Enchant Gloves - Minor Haste"] = true,
		["Enchant Gloves - Riding Skill"] = true,
		["Enchant Gloves - Shadow Power"] = true,
		["Enchant Gloves - Skinning"] = true,
		["Enchant Gloves - Spell Strike"] = true,
		["Enchant Gloves - Strength"] = true,
		["Enchant Gloves - Superior Agility"] = true,
		["Enchant Gloves - Threat"] = true,
		["Enchant Ring - Healing Power"] = true,
		["Enchant Ring - Spellpower"] = true,
		["Enchant Ring - Stats"] = true,
		["Enchant Ring - Striking"] = true,
		["Enchant Shield - Frost Resistance"] = true,
		["Enchant Shield - Greater Spirit"] = true,
		["Enchant Shield - Greater Stamina"] = true,
		["Enchant Shield - Intellect"] = true,
		["Enchant Shield - Lesser Block"] = true,
		["Enchant Shield - Lesser Protection"] = true,
		["Enchant Shield - Lesser Spirit"] = true,
		["Enchant Shield - Lesser Stamina"] = true,
		["Enchant Shield - Major Stamina"] = true,
		["Enchant Shield - Minor Stamina"] = true,
		["Enchant Shield - Resistance"] = true,
		["Enchant Shield - Shield Block"] = true,
		["Enchant Shield - Spirit"] = true,
		["Enchant Shield - Stamina"] = true,
		["Enchant Shield - Superior Spirit"] = true,
		["Enchant Shield - Tough Shield"] = true,
		["Enchant Weapon - Agility"] = true,
		["Enchant Weapon - Battlemaster"] = true,
		["Enchant Weapon - Crusader"] = true,
		["Enchant Weapon - Demonslaying"] = true,
		["Enchant Weapon - Executioner"] = true,
		["Enchant Weapon - Fiery Weapon"] = true,
		["Enchant Weapon - Greater Agility"] = true,
		["Enchant Weapon - Greater Striking"] = true,
		["Enchant Weapon - Healing Power"] = true,
		["Enchant Weapon - Icy Chill"] = true,
		["Enchant Weapon - Lesser Beastslayer"] = true,
		["Enchant Weapon - Lesser Elemental Slayer"] = true,
		["Enchant Weapon - Lesser Striking"] = true,
		["Enchant Weapon - Lifestealing"] = true,
		["Enchant Weapon - Major Healing"] = true,
		["Enchant Weapon - Major Intellect"] = true,
		["Enchant Weapon - Major Spellpower"] = true,
		["Enchant Weapon - Major Striking"] = true,
		["Enchant Weapon - Mighty Intellect"] = true,
		["Enchant Weapon - Mighty Spirit"] = true,
		["Enchant Weapon - Minor Beastslayer"] = true,
		["Enchant Weapon - Minor Striking"] = true,
		["Enchant Weapon - Mongoose"] = true,
		["Enchant Weapon - Potency"] = true,
		["Enchant Weapon - Soulfrost"] = true,
		["Enchant Weapon - Spell Power"] = true,
		["Enchant Weapon - Spellsurge"] = true,
		["Enchant Weapon - Strength"] = true,
		["Enchant Weapon - Striking"] = true,
		["Enchant Weapon - Sunfire"] = true,
		["Enchant Weapon - Superior Striking"] = true,
		["Enchant Weapon - Unholy Weapon"] = true,
		["Enchant Weapon - Winter's Might"] = true,
		["Enchanted Leather"] = true,
		["Enchanted Thorium"] = true,
		["Greater Magic Wand"] = true,
		["Greater Mystic Wand"] = true,
		["Large Prismatic Shard"] = true,
		["Lesser Magic Wand"] = true,
		["Lesser Mana Oil"] = true,
		["Lesser Mystic Wand"] = true,
		["Lesser Wizard Oil"] = true,
		["Minor Mana Oil"] = true,
		["Minor Wizard Oil"] = true,
		["Nexus Transformation"] = true,
		["Prismatic Sphere"] = true,
		["Runed Adamantite Rod"] = true,
		["Runed Arcanite Rod"] = true,
		["Runed Copper Rod"] = true,
		["Runed Eternium Rod"] = true,
		["Runed Fel Iron Rod"] = true,
		["Runed Golden Rod"] = true,
		["Runed Silver Rod"] = true,
		["Runed Truesilver Rod"] = true,
		["Small Prismatic Shard"] = true,
		["Smoking Heart of the Mountain"] = true,
		["Superior Mana Oil"] = true,
		["Superior Wizard Oil"] = true,
		["Void Sphere"] = true,
		["Wizard Oil"] = true,

		-- Enchanting Obtain Information
		["Enchant Gloves - Mining Obt"] = "BoE Mob Drop: Dark Iron Dwarf, Dark Iron Demonlitionist, Dark Iron Tunneler, Dark Iron Saboteur, Balgaras the Foul, Wetlands",
		["Enchant Gloves - Herbalism Obt"] = "BoE Mob Drop: Vengeful Ancient, Blackened Ancient, Charred Ancient, Stonetalon Mountaions, Crazed Ancient, Withered Ancient, Ashenvale",
		["Enchant Gloves - Fishing Obt"] = "BoE Mob Drop:  Scargil, Torn Fin Coastrunner, Torn Fin Oracle, Torn Fin Muckdweller, Torn Fin Tidehunter, Hillsbrad Foothills",
		["Enchant Gloves - Skinning Obt"] = "BoE Mob Drop: Nimar the Slayer, Witherbark Berserker, Witherbark Headhunter, Witherbark Shadow Hunter, Arathi Highlands",
		["Enchant Gloves - Advanced Mining Obt"] = "BoE Mob Drop: Venture Co. Strip Miner, STV",
		["Enchant Gloves - Advanced Herbalism Obt"] = "BoE Mob Drop: Mire Lord, Molt Thorn, Swampwalker, Swampwalker Elder, Tangled Horror, Swamp of Sorrows",
		["Enchant Cloak - Lesser Agility Obt"] = "BoE Mob Drop: Syndicate Assassin, Alterac Mountains, Wastewander Assassin, Wastewander Scofflaw, Tanaris",
		["Enchant Weapon - Fiery Weapon Obt"] = "BoE Mob Drop: Pyromancer Loregrain, BRD",
		["Smoking Heart of the Mountain Obt"] = "BoE Mob Drop: Lord Roccor BRD",
		["Enchant Weapon - Icy Chill Obt"] = "BoE Mob Drop: Anguished Highborne, Winterspring",
		["Enchant Bracer - Superior Strength Obt"] = "BoE Mob Drop: Deadwind Warlock, Deadwind Pass",
		["Enchant 2H Weapon - Superior Impact Obt"] = "BoE Mob Drop: Blackhand Elite, LBRS",
		["Enchant Weapon - Unholy Weapon Obt"] = "BoE Mob Drop: Thuzadin Shadowcaster, Stratholme",
		["Enchant 2H Weapon - Major Intellect Obt"] = "BoE Mob Drop: Crimson Sorcerer, Stratholme",
		["Enchant Weapon - Superior Striking Obt"] = "BoE Mob Drop: Spirestone Warlord, LBRS",
		["Enchant Weapon - Crusader Obt"] = "BoE Mob Drop: Scarlet Spellbinder, Western Plaguelands",
		["Enchant Weapon - Lifestealing Obt"] = "BoE Mob Drop: Spectral Researcher, Scholomance",
		["Enchant 2H Weapon - Major Spirit Obt"] = "BoE Mob Drop: Scholomance Adept, Scholomance",
		["Enchant Bracer - Major Defense Obt"] = "BoP Mob Drop: Ethereum Nullifier, Netherstorm",
		["Enchant Boots - Fortitude Obt"] = "BoP Mob Drop: Ethereal Priest, Mana-Tombs",
		["Enchant Boots - Dexterity Obt"] = "BoP Mob Drop: Raging Skeletons, Auchenai Crypts",
		["Enchant Weapon - Major Intellect Obt"] = "BoP Mob Drop: Sunfury Researchers, Netherstorm",
		["Enchant Bracer - Fortitude Obt"] = "BoP Mob Drop: Coilfang Oracles, The Steamvault",
		["Enchant 2H Weapon - Savagery Obt"] = "BoP Mob Drop: Shattered Hand Centurions, The Shattered Halls",
		["Enchant Weapon - Major Spellpower Obt"] = "BoP Mob Drop: Bash'ir Spell-Thief, Blade's Edge Mountains",
		["Enchant Cloak - Greater Arcane Resistance Obt"] = "BoP Mob Drop: Eclipsion Archmages, SMV",
		["Enchant Cloak - Greater Shadow Resistance Obt"] = "BoP Mob Drop: Voidshriekers, Netherstorm",
		["Enchant Bracer - Spellpower Obt"] = "BoP Mob Drop: Bloodmaul Geomancers, Blade's Edge Mountains",
		["Enchant 2H Weapon - Major Agility Obt"] = "BoP Mob Drop: Eredar Deathbringer, The Arcatraz",
		["Enchant Boots - Surefooted Obt"] = "BoP Mob Drop: Enchanted Stagehands, Karazhan",
		["Enchant Weapon - Sunfire Obt"] = "BoP Mob Drop: Shade of Aran, Karazhan",
		["Enchant Weapon - Soulfrost Obt"] = "BoP Mob Drop: Illhoof, Karazhan",
		["Enchant Weapon - Mongoose Obt"] = "BoP Mob Drop: Moroes, Karazhan",

		-- Engineering Recipes
		["Accurate Scope"] = true,
		["Adamantite Arrow Maker"] = true,
		["Adamantite Frame"] = true,
		["Adamantite Grenade"] = true,
		["Adamantite Rifle"] = true,
		["Adamantite Scope"] = true,
		["Adamantite Shells"] = true,
		["Advanced Target Dummy"] = true,
		["Alarm-O-Bot"] = true,
		["Aquadynamic Fish Attractor"] = true,
		["Arcane Bomb"] = true,
		["Arcanite Dragonling"] = true,
		["Arclight Spanner"] = true,
		["Big Bronze Bomb"] = true,
		["Big Iron Bomb"] = true,
		["Biznicks 247x128 Accurascope"] = true,
		["Bloodvine Goggles"] = true,
		["Bloodvine Lens"] = true,
		["Blue Firework"] = true,
		["Blue Rocket Cluster"] = true,
		["Bright-Eye Goggles"] = true,
		["Bronze Framework"] = true,
		["Bronze Tube"] = true,
		["Catseye Ultra Goggles"] = true,
		["Coarse Blasting Powder"] = true,
		["Coarse Dynamite"] = true,
		["Cogspinner Goggles"] = true,
		["Compact Harvest Reaper Kit"] = true,
		["Copper Modulator"] = true,
		["Copper Tube"] = true,
		["Core Marksman Rifle"] = true,
		["Crafted Heavy Shot"] = true,
		["Crafted Light Shot"] = true,
		["Crafted Solid Shot"] = true,
		["Craftsman's Monocle"] = true,
		["Crashin' Thrashin' Robot"] = true,
		["Crude Scope"] = true,
		["Dark Iron Bomb"] = true,
		["Dark Iron Rifle"] = true,
		["Deadly Blunderbuss"] = true,
		["Deadly Scope"] = true,
		["Deathblow XII Goggles"] = true,
		["Deepdive Helmet"] = true,
		["Delicate Arcanite Converter"] = true,
		["Dense Blasting Powder"] = true,
		["Dense Dynamite"] = true,
		["Destruction Holo-gogs"] = true,
		["Dimensional Ripper - Area 52"] = true,
		["Dimensional Ripper - Everlook"] = true,
		["Discombobulator Ray"] = true,
		["Elemental Blasting Powder"] = true,
		["Elemental Seaforium Charge"] = true,
		["Explosive Sheep"] = true,
		["EZ-Thro Dynamite II"] = true,
		["EZ-Thro Dynamite"] = true,
		["Fel Iron Bomb"] = true,
		["Fel Iron Casing"] = true,
		["Fel Iron Musket"] = true,
		["Fel Iron Shells"] = true,
		["Fel Iron Toolbox"] = true,
		["Felsteel Boomstick"] = true,
		["Felsteel Stabilizer"] = true,
		["Field Repair Bot 110G"] = true,
		["Field Repair Bot 74A"] = true,
		["Fire Goggles"] = true,
		["Firework Cluster Launcher"] = true,
		["Firework Launcher"] = true,
		["Flame Deflector"] = true,
		["Flash Bomb"] = true,
		["Flawless Arcanite Rifle"] = true,
		["Flying Machine Control"] = true,
		["Flying Tiger Goggles"] = true,
		["Force Reactive Disk"] = true,
		["Foreman's Enchanted Helmet"] = true,
		["Foreman's Reinforced Helmet"] = true,
		["Frost Grenades"] = true,
		["Furious Gizmatic Goggles"] = true,
		["Fused Wiring"] = true,
		["Gnomish Battle Chicken"] = true,
		["Gnomish Battle Goggles"] = true,
		["Gnomish Cloaking Device"] = true,
		["Gnomish Death Ray"] = true,
		["Gnomish Flame Turret"] = true,
		["Gnomish Goggles"] = true,
		["Gnomish Harm Prevention Belt"] = true,
		["Gnomish Mind Control Cap"] = true,
		["Gnomish Net-o-Matic Projector"] = true,
		["Gnomish Poultryizer"] = true,
		["Gnomish Power Goggles"] = true,
		["Gnomish Rocket Boots"] = true,
		["Gnomish Shrink Ray"] = true,
		["Gnomish Universal Remote"] = true,
		["Goblin Bomb Dispenser"] = true,
		["Goblin Construction Helmet"] = true,
		["Goblin Dragon Gun"] = true,
		["Goblin Jumper Cables XL"] = true,
		["Goblin Jumper Cables"] = true,
		["Goblin Land Mine"] = true,
		["Goblin Mining Helmet"] = true,
		["Goblin Mortar"] = true,
		["Goblin Rocket Boots"] = true,
		["Goblin Rocket Boots"] = true,
		["Goblin Rocket Fuel Recipe"] = true,
		["Goblin Rocket Helmet"] = true,
		["Goblin Rocket Launcher"] = true,
		["Goblin Sapper Charge"] = true,
		["Gold Power Core"] = true,
		["Green Firework"] = true,
		["Green Lens"] = true,
		["Green Rocket Cluster"] = true,
		["Green Smoke Flare"] = true,
		["Green Tinted Goggles"] = true,
		["Gyro-balanced Khorium Destroyer "] = true,
		["Gyrochronatom"] = true,
		["Gyrofreeze Ice Reflector"] = true,
		["Gyromatic Micro-Adjustor"] = true,
		["Handful of Copper Bolts"] = true,
		["Handful of Fel Iron Bolts"] = true,
		["Hardened Adamantite Tube"] = true,
		["Healing Potion Injector"] = true,
		["Heavy Blasting Powder"] = true,
		["Heavy Dynamite"] = true,
		["Hi-Explosive Bomb"] = true,
		["Hi-Impact Mithril Slugs"] = true,
		["Hyper-Radiant Flame Reflector"] = true,
		["Hyper-Vision Goggles"] = true,
		["Ice Deflector"] = true,
		["Icy Blasting Primers"] = true,
		["Inlaid Mithril Cylinder Plans"] = true,
		["Iron Grenade"] = true,
		["Iron Strut"] = true,
		["Khorium Power Core"] = true,
		["Khorium Scope"] = true,
		["Large Blue Rocket Cluster"] = true,
		["Large Blue Rocket"] = true,
		["Large Copper Bomb"] = true,
		["Large Green Rocket Cluster"] = true,
		["Large Green Rocket"] = true,
		["Large Red Rocket Cluster"] = true,
		["Large Red Rocket"] = true,
		["Large Seaforium Charge"] = true,
		["Lifelike Mechanical Toad"] = true,
		["Lil' Smoky"] = true,
		["Lovingly Crafted Boomstick"] = true,
		["Major Recombobulator"] = true,
		["Mana Potion Injector"] = true,
		["Master Engineer's Goggles"] = true,
		["Masterwork Target Dummy"] = true,
		["Mechanical Dragonling"] = true,
		["Mechanical Repair Kit"] = true,
		["Mechanical Squirrel"] = true,
		["Minor Recombobulator"] = true,
		["Mithril Blunderbuss"] = true,
		["Mithril Casing"] = true,
		["Mithril Frag Bomb"] = true,
		["Mithril Gyro-Shot"] = true,
		["Mithril Heavy-bore Rifle"] = true,
		["Mithril Mechanical Dragonling"] = true,
		["Mithril Tube"] = true,
		["Moonsight Rifle"] = true,
		["Nigh Invulnerability Belt"] = true,
		["Ornate Khorium Rifle"] = true,
		["Ornate Spyglass"] = true,
		["Parachute Cloak"] = true,
		["Pet Bombling"] = true,
		["Portable Bronze Mortar"] = true,
		["Power Amplification Goggles"] = true,
		["Powerful Seaforium Charge"] = true,
		["Powerheal 4000 Lens"] = true,
		["Practice Lock"] = true,
		["Purple Smoke Flare"] = true,
		["Red Firework"] = true,
		["Red Rocket Cluster"] = true,
		["Rocket Boots Xtreme"] = true,
		["Rose Colored Goggles"] = true,
		["Rough Blasting Powder"] = true,
		["Rough Boomstick"] = true,
		["Rough Copper Bomb"] = true,
		["Rough Dynamite"] = true,
		["Salt Shaker"] = true,
		["Shadow Goggles"] = true,
		["Silver Contact"] = true,
		["Silver-plated Shotgun"] = true,
		["Small Blue Rocket"] = true,
		["Small Bronze Bomb"] = true,
		["Small Green Rocket"] = true,
		["Small Red Rocket"] = true,
		["Small Seaforium Charge"] = true,
		["Snake Burst Firework"] = true,
		["Sniper Scope"] = true,
		["SnowMaster 9000"] = true,
		["Solid Blasting Powder"] = true,
		["Solid Dynamite"] = true,
		["Spellpower Goggles Xtreme Plus"] = true,
		["Spellpower Goggles Xtreme"] = true,
		["Stabilized Eternium Scope"] = true,
		["Standard Scope"] = true,
		["Steam Tonk Controller"] = true,
		["Super Sapper Charge"] = true,
		["Surestrike Goggles v2.0"] = true,
		["Tankatronic Goggles"] = true,
		["Target Dummy"] = true,
		["The Big One"] = true,
		["The Bigger One"] = true,
		["The Mortar: Reloaded"] = true,
		["Thorium Grenade"] = true,
		["Thorium Rifle"] = true,
		["Thorium Shells"] = true,
		["Thorium Tube"] = true,
		["Thorium Widget"] = true,
		["Tranquil Mechanical Yeti"] = true,
		["Truesilver Transformer"] = true,
		["Ultra-Flash Shadow Reflector"] = true,
		["Ultrasafe Transporter - Gadgetzan"] = true,
		["Ultrasafe Transporter - Toshley's Station"] = true,
		["Ultra-Spectropic Detection Goggles"] = true,
		["Unstable Trigger"] = true,
		["Voice Amplification Modulator"] = true,
		["Whirring Bronze Gizmo"] = true,
		["White Smoke Flare"] = true,
		["Wonderheal XT40 Shades"] = true,
		["World Enlarger"] = true,
		["Zapthrottle Mote Extractor"] = true,

		-- Engineering Obtain Information
		["ENG_MEMBERSHIP_BENEFITS"] = "Quest Reward: Renewing Membership",
		["Flame Detector Obt"] = "BoE Mob Drop: Mekgineer Thermaplugg, Gnomeregan",
		["Discombobulator Ray Obt"] = "BoE Mob Drop: Mekgineer Thermaplugg, Gnomeregan",
		["Flash Bomb Obt"] = "Quest Reward: Flash Bomb Recipe",
		["Spellpower Goggles Xtreme Plus Obt"] = "BoE Mob Drop: Spitelash Siren, Azshara",
		["Dark Iron Rifle Obt"] = "BoE Mob Drop: Doomforge Craftsman, BRD",
		["Steam Tonk Controller Obt"] = "Quest Reward: 40 Tickets - Schematic: Steam Tonk Controller (Darkmoon Faire)",
		["Dark Iron Bomb Obt"] = "BoE Mob Drop: Weapon Technician, BRD",
		["Voice Amplification Modulator Obt"] = "BoE Mob Drop: Crimson Inquisitor, Stratholme",
		["Master Engineer's Goggles Obt"] = "BoE Mob Drop: Doomforge Arcanasmith, BRD",
		["Hyper-Radiant Flame Reflector Pbt"] = "BoE Mob Drop: Solakar Flamewreath, UBRS",
		["Arcanite Dragonling Obt"] = "BoE Mob Drop: Cobalt Mageweaver, Winterspring",
		["Flawless Arcanite Rifle Obt"] = "BoE Mob Drop: Mossflayer Shadowhunter, EPL",
		["Field Repair Bot 74A Obt"] = "BoP Mob Drop: Golem Lord Argelmach, BRD",
		["Ultra-Flash Shadow Reflector Obt"] = "BoE Mob Drop: Crimson Inquisitor, Stratholme",
		["World Enlarger Obt"] = "BoE Mob Drop: Weapon Technician, BRD",
		["Alarm-O-Bot Obt"] = "BoE Mob Drop: Weapon Technician, BRD",
		["Goblin Jumper Cables XL Obt"] = "BoE Mob Drop: Plugger Spazzring, BRF",
		["Zapthrottle Mote Extractor Obt"] = "Quest Reward Zapthrottle Mote Extractor!",
		["Rocket Boots Xtreme Obt"] = "BoP Mob Drop: Mekgineer Steamrigger,The Steamvault",
		["Felsteel Boomstick Obt"] = "BoP Mob Drop: Doomforge Engineer, Blade's Edge Mountains",
		["Hyper-Vision Goggles Obt"] = "BoP Mob Drop: Mo'arg Weaponsmiths, SMV",
		["Khorium Scope Obt"] = "BoP Mob Drop: Sunfury Bowman, Netherstorm",
		["Stabilized Eternium Scope Obt"] = "BoP Mob Drop: Attumen the Huntsman, Karazhan",	
		["Field Repair Bot 110G Obt"] = "BoP Mob Drop: Gan'Arg Analyzers, Blades Edge Mountains",

		-- First Aid Recipes
		-- Original Game Recipes
		["Anti-Venom"] = true,
		["Heavy Linen Bandage"] = true,
		["Heavy Mageweave Bandage"] = true,
		["Heavy Netherweave Bandage"] = true,
		["Heavy Runecloth Bandage"] = true,
		["Heavy Silk Bandage"] = true,
		["Heavy Wool Bandage"] = true,
		["Linen Bandage"] = true,
		["Mageweave Bandage"] = true,
		["Netherweave Bandage"] = true,
		["Powerful Anti-Venom"] = true,
		["Runecloth Bandage"] = true,
		["Silk Bandage"] = true,
		["Strong Anti-Venom"] = true,
		["Wool Bandage"] = true,

		-- First Aid Obtain Information
		-- Nothing here needed yet

		-- Jewelcrafting Recipes
		["Amulet of the Moon"] = true,
		["Aquamarine Pendant of the Warrior"] = true,
		["Aquamarine Signet"] = true,
		["Arcane Khorium Band"] = true,
		["Azure Moonstone Ring"] = true,
		["Balanced Nightseye"] = true,
		["Balanced Shadowsong Amethyst"] = true,
		["Band of Natural Fire"] = true,
		["Barbaric Iron Collar"] = true,
		["Blazing Citrine Ring"] = true,
		["Blazing Eternium Band"] = true,
		["Blood of Amber"] = true,
		["Bold Blood Garnet"] = true,
		["Bold Crimson Spinel"] = true,
		["Bold Living Ruby"] = true,
		["Bracing Earthstorm Diamond"] = true,
		["Braided Copper Ring"] = true,
		["Braided Eternium Chain"] = true,
		["Bright Blood Garnet"] = true,
		["Bright Crimson Spinel"] = true,
		["Bright Living Ruby"] = true,
		["Brilliant Dawnstone"] = true,
		["Brilliant Golden Draenite"] = true,
		["Brilliant Lionseye"] = true,
		["Brilliant Necklace"] = true,
		["Brilliant Pearl Band"] = true,
		["Bronze Band of Force"] = true,
		["Bronze Setting"] = true,
		["Bronze Torc"] = true,
		["Brutal Earthstorm Diamond"] = true,
		["Chain of the Twilight Owl"] = true,
		["Chaotic Skyfire Diamond"] = true,
		["Circlet of Arcane Might"] = true,
		["Citrine Pendant of Golden Healing"] = true,
		["Citrine Ring of Rapid Healing"] = true,
		["Coarse Stone Statue"] = true,
		["Coronet of the Verdant Flame"] = true,
		["Crimson Sun"] = true,
		["Crown of the Sea Witch"] = true,
		["Dazzling Deep Peridot"] = true,
		["Dazzling Seaspray Emerald"] = true,
		["Dazzling Talasite"] = true,
		["Delicate Blood Garnet"] = true,
		["Delicate Copper Wire"] = true,
		["Delicate Crimson Spinel"] = true,
		["Delicate Eternium Ring"] = true,
		["Delicate Living Ruby"] = true,
		["Dense Stone Statue"] = true,
		["Destructive Skyfire Diamond"] = true,
		["Diamond Focus Ring"] = true,
		["Don Julio's Heart"] = true,
		["Elegant Silver Ring"] = true,
		["Embrace of the Dawn"] = true,
		["Emerald Crown of Destruction"] = true,
		["Emerald Lion Ring"] = true,
		["Enduring Deep Peridot"] = true,
		["Enduring Seaspray Emerald"] = true,
		["Enduring Talasite"] = true,
		["Engraved Truesilver Ring"] = true,
		["Enigmatic Skyfire Diamond"] = true,
		["Eye of the Night"] = true,
		["Facet of Eternity"] = true,
		["Falling Star"] = true,
		["Fel Iron Blood Ring"] = true,
		["Figurine - Black Diamond Crab"] = true,
		["Figurine - Black Pearl Panther"] = true,
		["Figurine - Dark Iron Scorpid"] = true,
		["Figurine - Dawnstone Crab"] = true,
		["Figurine - Emerald Owl"] = true,
		["Figurine - Felsteel Boar"] = true,
		["Figurine - Golden Hare"] = true,
		["Figurine - Jade Owl"] = true,
		["Figurine - Living Ruby Serpent"] = true,
		["Figurine - Nightseye Panther"] = true,
		["Figurine - Ruby Serpent"] = true,
		["Figurine - Talasite Owl"] = true,
		["Figurine - Truesilver Boar"] = true,
		["Figurine - Truesilver Crab"] = true,
		["Flashing Crimson Spinel"] = true,
		["Flashing Living Ruby"] = true,
		["Gem Studded Band"] = true,
		["Gleaming Dawnstone"] = true,
		["Gleaming Golden Draenite"] = true,
		["Gleaming Lionseye"] = true,
		["Glinting Flame Spessarite"] = true,
		["Glinting Noble Topaz"] = true,
		["Glinting Pyrestone"] = true,
		["Gloom Band"] = true,
		["Glowing Nightseye"] = true,
		["Glowing Shadow Draenite"] = true,
		["Glowing Shadowsong Amethyst"] = true,
		["Glowing Thorium Band"] = true,
		["Golden Draenite Ring"] = true,
		["Golden Dragon Ring"] = true,
		["Golden Ring of Power"] = true,
		["Great Dawnstone"] = true,
		["Great Lionseye"] = true,
		["Heavy Adamantite Ring"] = true,
		["Heavy Copper Ring"] = true,
		["Heavy Felsteel Ring"] = true,
		["Heavy Golden Necklace of Battle"] = true,
		["Heavy Iron Knuckles"] = true,
		["Heavy Jade Ring"] = true,
		["Heavy Silver Ring"] = true,
		["Heavy Stone Statue"] = true,
		["Infused Nightseye"] = true,
		["Infused Shadow Draenite"] = true,
		["Infused Shadowsong Amethyst"] = true,
		["Inlaid Malachite Ring"] = true,
		["Inscribed Flame Spessarite"] = true,
		["Inscribed Noble Topaz"] = true,
		["Inscribed Pyrestone"] = true,
		["Insightful Earthstorm Diamond"] = true,
		["Jade Pendant of Blasting"] = true,
		["Jagged Deep Peridot"] = true,
		["Jagged Seaspray Emerald"] = true,
		["Jagged Talasite"] = true,
		["Kailee's Rose"] = true,
		["Khorium Band of Frost"] = true,
		["Khorium Band of Leaves"] = true,
		["Khorium Band of Shadows"] = true,
		["Khorium Inferno Band"] = true,
		["Living Emerald Pendant"] = true,
		["Living Ruby Pendant"] = true,
		["Luminous Flame Spessarite"] = true,
		["Luminous Noble Topaz"] = true,
		["Luminous Pyrestone"] = true,
		["Lustrous Azure Moonstone"] = true,
		["Lustrous Empyrean Sapphire"] = true,
		["Lustrous Star of Elune"] = true,
		["Malachite Pendant"] = true,
		["Mercurial Adamantite"] = true,
		["Mithril Filigree"] = true,
		["Moonsoul Crown"] = true,
		["Mystic Dawnstone"] = true,
		["Mystic Lionseye"] = true,
		["Mystical Skyfire Diamond"] = true,
		["Necklace of the Deep"] = true,
		["Necklace of the Diamond Tower"] = true,
		["Onslaught Ring"] = true,
		["Opal Necklace of Impact"] = true,
		["Ornate Tigerseye Necklace"] = true,
		["Pendant of Frozen Flame"] = true,
		["Pendant of Shadow's End"] = true,
		["Pendant of Thawing"] = true,
		["Pendant of the Agate Shield"] = true,
		["Pendant of the Null Rune"] = true,
		["Pendant of Withering"] = true,
		["Potent Flame Spessarite"] = true,
		["Potent Noble Topaz"] = true,
		["Potent Pyrestone"] = true,
		["Powerful Earthstorm Diamond"] = true,
		["Purified Jaggal Pearl"] = true,
		["Purified Shadow Pearl"] = true,
		["Radiant Deep Peridot"] = true,
		["Radiant Seaspray Emerald"] = true,
		["Radiant Talasite"] = true,
		["Red Ring of Destruction"] = true,
		["Relentless Earthstorm Diamond"] = true,
		["Rigid Dawnstone"] = true,
		["Rigid Golden Draenite"] = true,
		["Ring of Arcane Shielding"] = true,
		["Ring of Bitter Shadows"] = true,
		["Ring of Silver Might"] = true,
		["Ring of Twilight Shadows"] = true,
		["Rough Stone Statue"] = true,
		["Royal Nightseye"] = true,
		["Royal Shadow Draenite"] = true,
		["Royal Shadowsong Amethyst"] = true,
		["Ruby Crown of Restoration"] = true,
		["Ruby Pendant of Fire"] = true,
		["Runed Blood Garnet"] = true,
		["Runed Living Ruby"] = true,
		["Sapphire Pendant of Winter Night"] = true,
		["Sapphire Signet"] = true,
		["Shifting Nightseye"] = true,
		["Shifting Shadow Draenite"] = true,
		["Shifting Shadowsong Amethyst"] = true,
		["Simple Opal Ring"] = true,
		["Simple Pearl Ring"] = true,
		["Smooth Dawnstone"] = true,
		["Smooth Golden Draenite"] = true,
		["Smooth Lionseye"] = true,
		["Solid Azure Moonstone"] = true,
		["Solid Bronze Ring"] = true,
		["Solid Empyrean Sapphire"] = true,
		["Solid Star of Elune"] = true,
		["Solid Stone Statue"] = true,
		["Sovereign Nightseye"] = true,
		["Sovereign Shadow Draenite"] = true,
		["Sovereign Shadowsong Amethyst"] = true,
		["Sparkling Azure Moonstone"] = true,
		["Sparkling Empyrean Sapphire"] = true,
		["Sparkling Star of Elune"] = true,
		["Steady Talasite"] = true,
		["Stone of Blades"] = true,
		["Stormy Azure Moonstone"] = true,
		["Stormy Empyrean Sapphire"] = true,
		["Stormy Star of Elune"] = true,
		["Subtle Crimson Spinel"] = true,
		["Subtle Living Ruby"] = true,
		["Swift Skyfire Diamond"] = true,
		["Teardrop Blood Garnet"] = true,
		["Teardrop Crimson Spinel"] = true,
		["Teardrop Living Ruby"] = true,
		["Tenacious Earthstorm Diamond"] = true,
		["The Aquamarine Ward"] = true,
		["The Black Pearl"] = true,
		["The Frozen Eye"] = true,
		["The Jade Eye"] = true,
		["The Natural Ward"] = true,
		["Thick Adamantite Necklace"] = true,
		["Thick Bronze Necklace"] = true,
		["Thick Dawnstone"] = true,
		["Thick Felsteel Necklace"] = true,
		["Thick Golden Draenite"] = true,
		["Thick Lionseye"] = true,
		["Thorium Setting"] = true,
		["Thundering Skyfire Diamond"] = true,
		["Tigerseye Band"] = true,
		["Truesilver Commander's Ring"] = true,
		["Truesilver Healing Ring"] = true,
		["Veiled Noble Topaz"] = true,
		["Veiled Pyrestone"] = true,
		["Wicked Moonstone Ring"] = true,
		["Wicked Noble Topaz"] = true,
		["Wicked Pyrestone"] = true,
		["Woven Copper Ring"] = true,

		-- Jewelcrafting Obtain Information
		["Khorium Band of Shadows Obt"] = "BoP Mob Drop: Dark Conclave Shadowmancers, SMV",
		["Khorium Band of Frost Obt"] = "BoP Mob Drop: Coilfang Sorceresses, The Steamvault",
		["Khorium Inferno Band Obt"] = "BoP Mob Drop: Darkweaver Syth, Sethekk Halls",
		["Khorium Band of Leaves Obt"] = "BoP Mob Drop: Vekh'nir Dreadhawks, Blade's Edge Mountains",
		["Arcane Khorium Band Obt"] = "BoP Mob Drop: Mageslayers, Netherstorm",
		["Infused Shadow Draenite Obt"] = "BoP Mob Drop: Summon bosses in Blades Edge",
		["Dark Iron Scorpid Obt"] = "BoP Mob Drop: Golem Lord Argelmach, BRD",
		["Coronet of the Verdant Flame Obt"] = "BoP Mob Drop: Sunseeker Botanists, The Botanica",
		["Circlet of Arcane Might Obt"] = "BoP Mob Drop: Epoch Hunter, Old Hillsbrad Foothills",
		["Chaotic Skyfire Diamond Obt"] = "BoP Mob Drop: Coilskar Sirens, SMV",

		-- Leatherworking Recipes
		["Arcane Armor Kit"] = true,
		["Barbaric Belt"] = true,
		["Barbaric Bracers"] = true,
		["Barbaric Gloves"] = true,
		["Barbaric Harness"] = true,
		["Barbaric Leggings"] = true,
		["Barbaric Shoulders"] = true,
		["Belt of Deep Shadow"] = true,
		["Belt of Natural Power"] = true,
		["Belt of the Black Eagle"] = true,
		["Big Voodoo Cloak"] = true,
		["Big Voodoo Mask"] = true,
		["Big Voodoo Pants"] = true,
		["Big Voodoo Robe"] = true,
		["Bindings of Lightning Reflexes"] = true,
		["Black Dragonscale Boots"] = true,
		["Black Dragonscale Breastplate"] = true,
		["Black Dragonscale Leggings"] = true,
		["Black Dragonscale Shoulders"] = true,
		["Black Whelp Cloak"] = true,
		["Black Whelp Tunic"] = true,
		["Blackstorm Leggings"] = true,
		["Blastguard Belt"] = true,
		["Blastguard Boots"] = true,
		["Blastguard Pants"] = true,
		["Blood Tiger Breastplate"] = true,
		["Blood Tiger Shoulders"] = true,
		["Blue Dragonscale Breastplate"] = true,
		["Blue Dragonscale Leggings"] = true,
		["Blue Dragonscale Shoulders"] = true,
		["Boots of Natural Grace"] = true,
		["Boots of Shackled Souls"] = true,
		["Boots of the Crimson Hawk"] = true,
		["Boots of Utter Darkness"] = true,
		["Bracers of Renewed Life"] = true,
		["Bracers of Shackled Souls"] = true,
		["Bramblewood Belt"] = true,
		["Bramblewood Boots"] = true,
		["Bramblewood Helm"] = true,
		["Chimeric Boots"] = true,
		["Chimeric Gloves"] = true,
		["Chimeric Leggings"] = true,
		["Chimeric Vest"] = true,
		["Chromatic Cloak"] = true,
		["Chromatic Gauntlets"] = true,
		["Clefthide Leg Armor"] = true,
		["Cloak of Darkness"] = true,
		["Cobrahide Leg Armor"] = true,
		["Cobrascale Gloves"] = true,
		["Cobrascale Hood"] = true,
		["Comfortable Insoles"] = true,
		["Comfortable Leather Hat"] = true,
		["Core Armor Kit"] = true,
		["Corehound Belt"] = true,
		["Corehound Boots"] = true,
		["Cured Heavy Hide"] = true,
		["Cured Light Hide"] = true,
		["Cured Medium Hide"] = true,
		["Cured Rugged Hide"] = true,
		["Cured Thick Hide"] = true,
		["Dark Leather Belt"] = true,
		["Dark Leather Boots"] = true,
		["Dark Leather Cloak"] = true,
		["Dark Leather Gloves"] = true,
		["Dark Leather Pants"] = true,
		["Dark Leather Shoulders"] = true,
		["Dark Leather Tunic"] = true,
		["Dawn Treaders"] = true,
		["Deviate Scale Belt"] = true,
		["Deviate Scale Cloak"] = true,
		["Deviate Scale Gloves"] = true,
		["Devilsaur Gauntlets"] = true,
		["Devilsaur Leggings"] = true,
		["Dragonscale Breastplate"] = true,
		["Dragonscale Gauntlets"] = true,
		["Dragonstrike Leggings"] = true,
		["Dreamscale Breastplate"] = true,
		["Drums of Battle"] = true,
		["Drums of Panic"] = true,
		["Drums of Restoration"] = true,
		["Drums of Speed"] = true,
		["Drums of War"] = true,
		["Dusky Belt"] = true,
		["Dusky Boots"] = true,
		["Dusky Bracers"] = true,
		["Dusky Leather Armor"] = true,
		["Dusky Leather Leggings"] = true,
		["Earthen Leather Shoulders"] = true,
		["Earthen Netherscale Boots"] = true,
		["Ebon Netherscale Belt"] = true,
		["Ebon Netherscale Bracers"] = true,
		["Ebon Netherscale Breastplate"] = true,
		["Embossed Leather Boots"] = true,
		["Embossed Leather Cloak"] = true,
		["Embossed Leather Gloves"] = true,
		["Embossed Leather Pants"] = true,
		["Embossed Leather Vest"] = true,
		["Enchanted Clefthoof Boots"] = true,
		["Enchanted Clefthoof Gloves"] = true,
		["Enchanted Clefthoof Leggings"] = true,
		["Enchanted Felscale Boots"] = true,
		["Enchanted Felscale Gloves"] = true,
		["Enchanted Felscale Leggings"] = true,
		["Feathered Breastplate"] = true,
		["Fel Leather Boots"] = true,
		["Fel Leather Gloves"] = true,
		["Fel Leather Leggings"] = true,
		["Felscale Boots"] = true,
		["Felscale Breastplate"] = true,
		["Felscale Gloves"] = true,
		["Felscale Pants"] = true,
		["Felstalker Belt"] = true,
		["Felstalker Bracer"] = true,
		["Felstalker Breastplate"] = true,
		["Fine Leather Belt"] = true,
		["Fine Leather Boots"] = true,
		["Fine Leather Cloak"] = true,
		["Fine Leather Gloves"] = true,
		["Fine Leather Pants"] = true,
		["Fine Leather Tunic"] = true,
		["Flame Armor Kit"] = true,
		["Flamescale Belt"] = true,
		["Flamescale Boots"] = true,
		["Flamescale Leggings"] = true,
		["Fletcher's Gloves"] = true,
		["Frost Armor Kit"] = true,
		["Frost Leather Cloak"] = true,
		["Frostsaber Boots"] = true,
		["Frostsaber Gloves"] = true,
		["Frostsaber Leggings"] = true,
		["Frostsaber Tunic"] = true,
		["Gauntlets of the Sea"] = true,
		["Gem-studded Leather Belt"] = true,
		["Girdle of Insight"] = true,
		["Glove Reinforcements"] = true,
		["Gloves of the Greatfather"] = true,
		["Gloves of the Living Touch"] = true,
		["Golden Dragonstrike Breastplate"] = true,
		["Golden Mantle of the Dawn"] = true,
		["Greaves of Shackled Souls"] = true,
		["Green Dragonscale Breastplate"] = true,
		["Green Dragonscale Gauntlets"] = true,
		["Green Dragonscale Leggings"] = true,
		["Green Leather Armor"] = true,
		["Green Leather Belt"] = true,
		["Green Leather Bracers"] = true,
		["Green Whelp Armor"] = true,
		["Green Whelp Bracers"] = true,
		["Guardian Armor"] = true,
		["Guardian Belt"] = true,
		["Guardian Cloak"] = true,
		["Guardian Gloves"] = true,
		["Guardian Leather Bracers"] = true,
		["Guardian Pants"] = true,
		["Handstitched Leather Belt"] = true,
		["Handstitched Leather Boots"] = true,
		["Handstitched Leather Bracers"] = true,
		["Handstitched Leather Cloak"] = true,
		["Handstitched Leather Pants"] = true,
		["Handstitched Leather Vest"] = true,
		["Heavy Armor Kit"] = true,
		["Heavy Clefthoof Boots"] = true,
		["Heavy Clefthoof Leggings"] = true,
		["Heavy Clefthoof Vest"] = true,
		["Heavy Earthen Gloves"] = true,
		["Heavy Knothide Armor Kit"] = true,
		["Heavy Knothide Leather"] = true,
		["Heavy Leather Ammo Pouch"] = true,
		["Heavy Leather Ball"] = true,
		["Heavy Leather"] = true,
		["Heavy Quiver"] = true,
		["Heavy Scorpid Belt"] = true,
		["Heavy Scorpid Bracers"] = true,
		["Heavy Scorpid Gauntlets"] = true,
		["Heavy Scorpid Helm"] = true,
		["Heavy Scorpid Leggings"] = true,
		["Heavy Scorpid Shoulders"] = true,
		["Heavy Scorpid Vest"] = true,
		["Helm of Fire"] = true,
		["Herbalist's Gloves"] = true,
		["Hide of the Wild"] = true,
		["Hillman's Belt"] = true,
		["Hillman's Cloak"] = true,
		["Hillman's Leather Gloves"] = true,
		["Hillman's Leather Vest"] = true,
		["Hillman's Shoulders"] = true,
		["Hood of Primal Life"] = true,
		["Hurricane Boots"] = true,
		["Icy Scale Bracers"] = true,
		["Icy Scale Breastplate"] = true,
		["Icy Scale Gauntlets"] = true,
		["Ironfeather Breastplate"] = true,
		["Ironfeather Shoulders"] = true,
		["Knothide Ammo Pouch"] = true,
		["Knothide Armor Kit"] = true,
		["Knothide Leather"] = true,
		["Knothide Quiver"] = true,
		["Kodo Hide Bag"] = true,
		["Lava Belt"] = true,
		["Light Armor Kit"] = true,
		["Light Leather Bracers"] = true,
		["Light Leather Pants"] = true,
		["Light Leather Quiver"] = true,
		["Light Leather"] = true,
		["Living Breastplate"] = true,
		["Living Crystal Breastplate"] = true,
		["Living Dragonscale Helm"] = true,
		["Living Earth Bindings"] = true,
		["Living Earth Shoulders"] = true,
		["Living Leggings"] = true,
		["Living Shoulders"] = true,
		["Magister's Armor Kit"] = true,
		["Medium Armor Kit"] = true,
		["Medium Leather"] = true,
		["Might of the Timbermaw"] = true,
		["Molten Belt"] = true,
		["Molten Helm"] = true,
		["Mongoose Boots"] = true,
		["Monsoon Belt"] = true,
		["Moonglow Vest"] = true,
		["Murloc Scale Belt"] = true,
		["Murloc Scale Bracers"] = true,
		["Murloc Scale Breastplate"] = true,
		["Nature Armor Kit"] = true,
		["Nethercleft Leg Armor"] = true,
		["Nethercobra Leg Armor"] = true,
		["Netherdrake Gloves"] = true,
		["Netherdrake Helm"] = true,
		["Netherfury Belt"] = true,
		["Netherfury Boots"] = true,
		["Netherfury Leggings"] = true,
		["Netherscale Ammo Pouch"] = true,
		["Netherstrike Belt"] = true,
		["Netherstrike Bracers"] = true,
		["Netherstrike Breastplate"] = true,
		["Nightscape Boots"] = true,
		["Nightscape Headband"] = true,
		["Nightscape Pants"] = true,
		["Nightscape Shoulders"] = true,
		["Nightscape Tunic"] = true,
		["Nimble Leather Gloves"] = true,
		["Onyxia Scale Cloak"] = true,
		["Pilferer's Gloves"] = true,
		["Polar Bracers"] = true,
		["Polar Gloves"] = true,
		["Polar Tunic"] = true,
		["Primal Batskin Bracers"] = true,
		["Primal Batskin Gloves"] = true,
		["Primal Batskin Jerkin"] = true,
		["Primalstorm Breastplate"] = true,
		["Primalstrike Belt"] = true,
		["Primalstrike Bracers"] = true,
		["Primalstrike Vest"] = true,
		["Quickdraw Quiver"] = true,
		["Quiver of a Thousand Feathers"] = true,
		["Raptor Hide Belt"] = true,
		["Raptor Hide Harness"] = true,
		["Red Dragonscale Breastplate"] = true,
		["Red Whelp Gloves"] = true,
		["Redeemed Soul Cinch"] = true,
		["Redeemed Soul Legguards"] = true,
		["Redeemed Soul Mocassins"] = true,
		["Redeemed Soul Wristguards"] = true,
		["Reinforced Mining Bag"] = true,
		["Riding Crop"] = true,
		["Rugged Armor Kit"] = true,
		["Rugged Leather Pants"] = true,
		["Rugged Leather"] = true,
		["Runic Leather Armor"] = true,
		["Runic Leather Belt"] = true,
		["Runic Leather Bracers"] = true,
		["Runic Leather Gauntlets"] = true,
		["Runic Leather Headband"] = true,
		["Runic Leather Pants"] = true,
		["Runic Leather Shoulders"] = true,
		["Sandstalker Bracers"] = true,
		["Sandstalker Breastplate"] = true,
		["Sandstalker Gauntlets"] = true,
		["Scaled Draenic Boots"] = true,
		["Scaled Draenic Gloves"] = true,
		["Scaled Draenic Pants"] = true,
		["Scaled Draenic Vest"] = true,
		["Shadow Armor Kit"] = true,
		["Shadowprowler's Chestguard"] = true,
		["Shadowskin Gloves"] = true,
		["Shifting Cloak"] = true,
		["Shoulderpads of Renewed Life"] = true,
		["Shoulders of Lightning Reflexes"] = true,
		["Shoulders of Lightning Reflexes"] = true,
		["Small Leather Ammo Pouch"] = true,
		["Spitfire Bracers"] = true,
		["Spitfire Breastplate"] = true,
		["Spitfire Gauntlets"] = true,
		["Stormshroud Armor"] = true,
		["Stormshroud Gloves"] = true,
		["Stormshroud Pants"] = true,
		["Stormshroud Shoulders"] = true,
		["Stylin' Adventure Hat"] = true,
		["Stylin' Crimson Hat"] = true,
		["Stylin' Jungle Hat"] = true,
		["Stylin' Purple Hat"] = true,
		["Swift Boots"] = true,
		["Swift Flight Bracers"] = true,
		["Swiftstrike Bracers"] = true,
		["Swiftstrike Shoulders"] = true,
		["Thick Armor Kit"] = true,
		["Thick Draenic Boots"] = true,
		["Thick Draenic Gloves"] = true,
		["Thick Draenic Pants"] = true,
		["Thick Draenic Pants"] = true,
		["Thick Draenic Vest"] = true,
		["Thick Leather Ammo Pouch"] = true,
		["Thick Leather"] = true,
		["Thick Murloc Armor"] = true,
		["Thick Netherscale Breastplate"] = true,
		["Timbermaw Brawlers"] = true,
		["Tough Scorpid Boots"] = true,
		["Tough Scorpid Bracers"] = true,
		["Tough Scorpid Breastplate"] = true,
		["Tough Scorpid Gloves"] = true,
		["Tough Scorpid Helm"] = true,
		["Tough Scorpid Leggings"] = true,
		["Tough Scorpid Shoulders"] = true,
		["Toughened Leather Armor"] = true,
		["Toughened Leather Gloves"] = true,
		["Turtle Scale Bracers"] = true,
		["Turtle Scale Breastplate"] = true,
		["Turtle Scale Gloves"] = true,
		["Turtle Scale Helm"] = true,
		["Turtle Scale Leggings"] = true,
		["Vindicator's Armor Kit"] = true,
		["Volcanic Breastplate"] = true,
		["Volcanic Leggings"] = true,
		["Volcanic Shoulders"] = true,
		["Waistguard of Shackled Souls"] = true,
		["Warbear Harness"] = true,
		["Warbear Woolies"] = true,
		["White Leather Jerkin"] = true,
		["Wicked Leather Armor"] = true,
		["Wicked Leather Belt"] = true,
		["Wicked Leather Bracers"] = true,
		["Wicked Leather Gauntlets"] = true,
		["Wicked Leather Headband"] = true,
		["Wicked Leather Pants"] = true,
		["Wild Draenish Boots"] = true,
		["Wild Draenish Gloves"] = true,
		["Wild Draenish Leggings"] = true,
		["Wild Draenish Vest"] = true,
		["Wild Leather Boots"] = true,
		["Wild Leather Cloak"] = true,
		["Wild Leather Helmet"] = true,
		["Wild Leather Leggings"] = true,
		["Wild Leather Shoulders"] = true,
		["Wild Leather Vest"] = true,
		["Wildfeather Leggings"] = true,
		["Windhawk Belt"] = true,
		["Windhawk Bracers"] = true,
		["Windhawk Hauberk"] = true,
		["Windscale Hood"] = true,
		["Windslayer Wraps"] = true,
		["Windstrike Gloves"] = true,
		["Wolfshead Helm"] = true,

		-- Leatheworking Obtain Information
		["Kodo Hide Bag Obt"] = "Quest Reward: Kodo Hide Bag",
		["Moonglow Vest Obt"] = "Quest Reward: Moonglow Vest",
		["Deviate Scale Belt Obt"] = "Quest Reward: Deviate Eradication",
		["Tough Scorpid Breastplate Obt"] = "BoE Mob Drop: Wastewander Bandit, Tanaris",
		["Wild Leather Shoulders Obt"] = "Quest Reward: Wild Leather Shoulders",
		["Tough Scorpid Bracers Obt"] = "BoE Mob Drop: Wastewander Shadow Mage, Tanaris",
		["Tough Scorpid Gloves Obt"] = "BoE Mob Drop: Wastewander Thief, Tanaris",
		["Wild Leather Vest Obt"] = "Quest Reward: Wild Leather Vest",
		["Wild Leather Helmet Obt"] = "Quest Reward: Wild Leather Helmet",
		["Tough Scorpid Boots Obt"] = "BoE Mob Drop: Wastewander Rogue, Tanaris",
		["Tough Scorpid Shoulders Obt"] = "BoE Mob Drop: Andre Firebeard, Wastewander Scofflaw, Tanaris",
		["Wild Leather Boots Obt"] = "Quest Reward: Wild Leather Boots",
		["Tough Scorpid Leggings Obt"] = "BoE Mob Drop: Wastewander Rogue, Tanaris",
		["Tough Scorpid Helm Obt"] = "BoE Mob Drop: Andre Firebeard, Wastewander Scofflaw, Tanaris",
		["Wild Leather Leggings Obt"] = "Quest Reward: Wild Leather Leggings",
		["Wild Leather Cloak Obt"] = "Quest Reward: Master of the Wild Leather",
		["Heavy Scorpid Vest Obt"] = "BoE Mob Drop: Portal Seeker, Blasted Lands",
		["Wicked Leather Bracers Obt"] = "BoE Mob Drop: Legashi Rogue, Azshara",
		["Runic Leather Bracers Obt"] = "BoE Mob Drop: Jaedenar Cultist, Felwood",
		["Wicked Leather Headband Obt"] = "BoE Mob Drop: Jadefire Trickster, Felwood",
		["Heavy Scorpid Leggings Obt"] = "BoE Mob Drop: Blackrock Slayer, Burning Steppes",
		["Wicked Leather Belt Obt"] = "BoE Mob Drop: Ghoul Ravener, Stratholme",
		["Heavy Scorpid Shoulders Obt"] = "BoE Mob Drop: Blackrock Battlemaster, Burning Steppes",
		["Runic Leather Armor Obt"] = "BoE Mob Drop: Scholomance Dark Summoner, Scholomance",
		["Wicked Leather Armor Obt"] = "BoE Mob Drop: Spectral Researcher, Scholomance",
		["Runic Leather Shoulders Obt"] = "BoE Mob Drop: Crimson Battle Mage, Stratholme",
		["Onyxia Scale Cloak Obt"] = "Quest Reward: The Journey Has Just Begun after turning in Head of Onyxia",
		["Green Dragonscale Leggings Obt"] = "BoE Mob Drop: Murk Worm, ST",
		["Blue Dragonscale Shoulders Obt"] = "BoE Mob Drop: Cliff Breaker, Azshara",
		["Red Dragonscale Breastplate Obt"] = "BoE Mob Drop: General Drakkisath, UBRS",
		["Black Dragonscale Leggings Obt"] = "BoE Mob Drop: Anvilrage Captain, BRD",
		["Black Dragonscale Shoulders Obt"] = "BoE Mob Drop : Anvilrage Captain, BRD",
		["Volcanic Leggings Obt"] = "BoE Mob Drop: Firegut Brute, Burning Steppes",
		["Volcanic Breastplate Obt"] = "BoE Mob Drop: Firebrand Grunt, LBRS",
		["Living Leggings Obt"] = "BoE Mob Drop: Deadwood Shaman, Felwood",
		["Stormshroud Armor Obt"] = "BoE Mob Drop: Arkkoran Oracle, Azshara",
		["Stormshroud Shoulders Obt"] = "BoE Son or Arkkorocm Azshara",
		["Stormshroud Gloves Obt"] = "BoE Mob Drop: The Windreaver, Silithus, Princess Tempestria, Winterspring",
		["Living Breastplate Obt"] = "BoE Mob Drop: Decaying Horror, WePL",
		["Volcanic Shoulders Obt"] = "BoE Mob Drop: Firebrand Legionnaire, LBRS",
		["Frostsaber Leggings Obt"] = "BoE Mob Drop: Winterfall Den Watcher, Winterspring",
		["Ironfeather Breastplate Obt"] = "BoE Mob Drop: Vilebranch Hideskinner, The Hinterlands",
		["Frostsaber Gloves Obt"] = "BoE Mob Drop: Winterfall Totemic, Winterspring",
		["Devilsaur Leggings Obt"] = "BoE Mob Drop: Cloned Ooze, Muculent Ooze, Ungoro Crater",
		["Frostsaber Tunic Obt"] = "BoE Mob Drop: Winterfall Ursa, Winterspring",
		["Shadow Armor Kit Obt"] = "BoP Mob Drop: Time-Lost Shadowmages, Sethekk Halls",
		["Flame Armor Kit Obt"] = "BoP Mob Drop: Gargantuan Abyssals, The Arcatraz",
		["Nature Armor Kit Obt"] = "BoP Mob Drop: Mennu the Betrayer, The Slave Pens",
		["Arcane Armor Kit Obt"] = "BoP Mob Drop: Chrono Lord Deja, The Black Morass",
		["Frost Armor Kit Obt"] = "BoP Mob Drop: Hydromancer Thespia, The Steamvault",
		["Stylin' Purple Hat Obt"] = "BoP Mob Drop: Blackheart the Inciter, Shadow Labyrinth",
		["Stylin' Adventure Hat Obt"] = "BoP Mob Drop: Durnholde Riflemen, Old Hillsbrad Foothills",
		["Stylin' Jungle Hat Obt"] = "BoP Mob Drop: Rift Lords, Rift Keepers, The Black Morass",
		["Stylin' Crimson Hat Obt"] = "BoP Mob Drop: Sethekk Ravenguard, Sethekk Halls",

		-- Smelting Recipes
		["Earth Shatter"] = true,
		["Fire Sunder"] = true,
		["Smelt Adamantite"] = true,
		["Smelt Bronze"] = true,
		["Smelt Copper"] = true,
		["Smelt Dark Iron"] = true,
		["Smelt Elementium"] = true,
		["Smelt Eternium"] = true,
		["Smelt Fel Iron"] = true,
		["Smelt Felsteel"] = true,
		["Smelt Gold"] = true,
		["Smelt Hardened Adamantite"] = true,
		["Smelt Iron"] = true,
		["Smelt Khorium"] = true,
		["Smelt Mithril"] = true,
		["Smelt Silver"] = true,
		["Smelt Steel"] = true,
		["Smelt Thorium"] = true,
		["Smelt Tin"] = true,
		["Smelt Truesilver"] = true,

		-- Smelting Obtain Information
		["Dark Iron Obt"] = "Quest Reward: BRD, which requires 20 Gold Bars, 2 Star Rubies, and 10 Truesilver Bars to BRD.  Talk to Gloom'Rel, who is one of the undead in the Summoner's Tomb.",
		["Elementium Obt"] = "Mind control Krixix in BWL.  On the pet bar there will be an option to train this ability for yourself and others.",

		-- Rogue Poison Recipes
		["Anesthetic Poison"] = true,
		["Blinding Powder"] = true,
		["Crippling Poison II"] = true,
		["Crippling Poison"] = true,
		["Deadly Poison II"] = true,
		["Deadly Poison III"] = true,
		["Deadly Poison IV"] = true,
		["Deadly Poison V"] = true,
		["Deadly Poison VI"] = true,
		["Deadly Poison VII"] = true,
		["Deadly Poison"] = true,
		["Instant Poison II"] = true,
		["Instant Poison III"] = true,
		["Instant Poison IV"] = true,
		["Instant Poison V"] = true,
		["Instant Poison VI"] = true,
		["Instant Poison VII"] = true,
		["Instant Poison"] = true,
		["Mind-numbing Poison II"] = true,
		["Mind-numbing Poison III"] = true,
		["Mind-numbing Poison"] = true,
		["Wound Poison II"] = true,
		["Wound Poison III"] = true,
		["Wound Poison IV"] = true,
		["Wound Poison V"] = true,
		["Wound Poison"] = true,

		-- Rogue Poison Obtain Information
		-- Nothing here needed yet

		-- Tailoring Recipes
		["Admiral's Hat"] = true,
		["Arcanoweave Boots"] = true,
		["Arcanoweave Bracers"] = true,
		["Arcanoweave Robe"] = true,
		["Argent Boots"] = true,
		["Argent Shoulders"] = true,
		["Azure Shoulders"] = true,
		["Azure Silk Belt"] = true,
		["Azure Silk Cloak"] = true,
		["Azure Silk Gloves"] = true,
		["Azure Silk Hood"] = true,
		["Azure Silk Pants"] = true,
		["Azure Silk Vest"] = true,
		["Bag of Jewels"] = true,
		["Barbaric Linen Vest"] = true,
		["Battlecast Hood"] = true,
		["Battlecast Pants"] = true,
		["Belt of Blasting"] = true,
		["Belt of the Archmage"] = true,
		["Belt of the Long Road"] = true,
		["Big Bag of Enchantment"] = true,
		["Black Belt of Knowledge"] = true,
		["Black Mageweave Boots"] = true,
		["Black Mageweave Gloves"] = true,
		["Black Mageweave Headband"] = true,
		["Black Mageweave Leggings"] = true,
		["Black Mageweave Robe"] = true,
		["Black Mageweave Shoulders"] = true,
		["Black Mageweave Vest"] = true,
		["Black Silk Pack"] = true,
		["Black Swashbuckler's Shirt"] = true,
		["Blackstrike Bracers"] = true,
		["Bloodvine Boots"] = true,
		["Bloodvine Leggings"] = true,
		["Bloodvine Vest"] = true,
		["Blue Linen Robe"] = true,
		["Blue Linen Shirt"] = true,
		["Blue Linen Vest"] = true,
		["Blue Overalls"] = true,
		["Bolt of Imbued Netherweave"] = true,
		["Bolt of Linen Cloth"] = true,
		["Bolt of Mageweave"] = true,
		["Bolt of Netherweave"] = true,
		["Bolt of Runecloth"] = true,
		["Bolt of Silk Cloth"] = true,
		["Bolt of Soulcloth"] = true,
		["Bolt of Woolen Cloth"] = true,
		["Boots of Blasting"] = true,
		["Boots of the Enchanter"] = true,
		["Boots of the Long Road"] = true,
		["Bottomless Bag"] = true,
		["Bracers of Havok"] = true,
		["Bracers of Nimble Thought"] = true,
		["Bright Yellow Shirt"] = true,
		["Brightcloth Cloak"] = true,
		["Brightcloth Gloves"] = true,
		["Brightcloth Pants"] = true,
		["Brightcloth Robe"] = true,
		["Brown Linen Pants"] = true,
		["Brown Linen Robe"] = true,
		["Brown Linen Shirt"] = true,
		["Brown Linen Vest"] = true,
		["Cenarion Herb Bag"] = true,
		["Cindercloth Boots"] = true,
		["Cindercloth Cloak"] = true,
		["Cindercloth Gloves"] = true,
		["Cindercloth Pants"] = true,
		["Cindercloth Robe"] = true,
		["Cindercloth Vest"] = true,
		["Cloak of Arcane Evasion"] = true,
		["Cloak of Eternity"] = true,
		["Cloak of Fire"] = true,
		["Cloak of the Black Void"] = true,
		["Cloak of Warding"] = true,
		["Colorful Kilt"] = true,
		["Core Felcloth Bag"] = true,
		["Crimson Silk Belt"] = true,
		["Crimson Silk Cloak"] = true,
		["Crimson Silk Gloves"] = true,
		["Crimson Silk Pantaloons"] = true,
		["Crimson Silk Robe"] = true,
		["Crimson Silk Shoulders"] = true,
		["Crimson Silk Vest"] = true,
		["Dark Silk Shirt"] = true,
		["Double-stitched Woolen Shoulders"] = true,
		["Dreamweave Circlet"] = true,
		["Dreamweave Gloves"] = true,
		["Dreamweave Vest"] = true,
		["Earthen Silk Belt"] = true,
		["Earthen Vest"] = true,
		["Ebon Shadowbag"] = true,
		["Enchanted Mageweave Pouch"] = true,
		["Enchanted Runecloth Bag"] = true,
		["Enchanter's Cowl"] = true,
		["Felcloth Bag"] = true,
		["Felcloth Boots"] = true,
		["Felcloth Gloves"] = true,
		["Felcloth Hood"] = true,
		["Felcloth Pants"] = true,
		["Felcloth Robe"] = true,
		["Felcloth Shoulders"] = true,
		["Festival Dress"] = true,
		["Festive Red Dress"] = true,
		["Festive Red Pant Suit"] = true,
		["Flameheart Bracers"] = true,
		["Flameheart Gloves"] = true,
		["Flameheart Vest"] = true,
		["Flarecore Gloves"] = true,
		["Flarecore Leggings"] = true,
		["Flarecore Mantle"] = true,
		["Flarecore Robe"] = true,
		["Flarecore Wraps"] = true,
		["Formal White Shirt"] = true,
		["Frostweave Gloves"] = true,
		["Frostweave Pants"] = true,
		["Frostweave Robe"] = true,
		["Frostweave Tunic"] = true,
		["Frozen Shadoweave Boots"] = true,
		["Frozen Shadoweave Shoulders"] = true,
		["Frozen Shadoweave Vest"] = true,
		["Gaea's Embrace"] = true,
		["Ghostweave Belt"] = true,
		["Ghostweave Gloves"] = true,
		["Ghostweave Pants"] = true,
		["Ghostweave Vest"] = true,
		["Girdle of Ruination"] = true,
		["Glacial Cloak"] = true,
		["Glacial Gloves"] = true,
		["Glacial Vest"] = true,
		["Glacial Wrists"] = true,
		["Gloves of Meditation"] = true,
		["Gloves of Spell Mastery"] = true,
		["Golden Spellthread"] = true,
		["Gordok Ogre Suit"] = true,
		["Gray Woolen Robe"] = true,
		["Gray Woolen Shirt"] = true,
		["Greater Adept's Robe"] = true,
		["Green Holiday Shirt"] = true,
		["Green Linen Bracers"] = true,
		["Green Linen Shirt"] = true,
		["Green Silk Armor"] = true,
		["Green Silk Pack"] = true,
		["Green Silken Shoulders"] = true,
		["Green Woolen Bag"] = true,
		["Green Woolen Vest"] = true,
		["Hands of Darkness"] = true,
		["Handstitched Linen Britches"] = true,
		["Heavy Linen Gloves"] = true,
		["Heavy Woolen Cloak"] = true,
		["Heavy Woolen Gloves"] = true,
		["Heavy Woolen Pants"] = true,
		["Icy Cloak"] = true,
		["Imbued Netherweave Bag"] = true,
		["Imbued Netherweave Boots"] = true,
		["Imbued Netherweave Pants"] = true,
		["Imbued Netherweave Robe"] = true,
		["Imbued Netherweave Tunic"] = true,
		["Inferno Gloves"] = true,
		["Lavender Mageweave Shirt"] = true,
		["Lesser Wizard's Robe"] = true,
		["Linen Bag"] = true,
		["Linen Belt"] = true,
		["Linen Boots"] = true,
		["Linen Cloak"] = true,
		["Long Silken Cloak"] = true,
		["Mageweave Bag"] = true,
		["Manaweave Cloak"] = true,
		["Mantle of Nimble Thought"] = true,
		["Mantle of the Timbermaw"] = true,
		["Mooncloth Bag"] = true,
		["Mooncloth Boots"] = true,
		["Mooncloth Circlet"] = true,
		["Mooncloth Gloves"] = true,
		["Mooncloth Leggings"] = true,
		["Mooncloth Robe"] = true,
		["Mooncloth Shoulders"] = true,
		["Mooncloth Vest"] = true,
		["Mooncloth"] = true,
		["Mystic Spellthread"] = true,
		["Netherweave Bag"] = true,
		["Netherweave Belt"] = true,
		["Netherweave Boots"] = true,
		["Netherweave Bracers"] = true,
		["Netherweave Gloves"] = true,
		["Netherweave Net"] = true,
		["Netherweave Pants"] = true,
		["Netherweave Robe"] = true,
		["Netherweave Tunic"] = true,
		["Night's End"] = true,
		["Orange Mageweave Shirt"] = true,
		["Orange Martial Shirt"] = true,
		["Pearl-clasped Cloak"] = true,
		["Phoenix Gloves"] = true,
		["Phoenix Pants"] = true,
		["Pink Mageweave Shirt"] = true,
		["Primal Mooncloth Bag"] = true,
		["Primal Mooncloth Belt"] = true,
		["Primal Mooncloth Robe"] = true,
		["Primal Mooncloth Shoulders"] = true,
		["Primal Mooncloth"] = true,
		["Red Linen Bag"] = true,
		["Red Linen Robe"] = true,
		["Red Linen Shirt"] = true,
		["Red Linen Vest"] = true,
		["Red Mageweave Bag"] = true,
		["Red Mageweave Gloves"] = true,
		["Red Mageweave Headband"] = true,
		["Red Mageweave Pants"] = true,
		["Red Mageweave Shoulders"] = true,
		["Red Mageweave Vest"] = true,
		["Red Swashbuckler's Shirt"] = true,
		["Red Woolen Bag"] = true,
		["Red Woolen Boots"] = true,
		["Reinforced Linen Cape"] = true,
		["Reinforced Woolen Shoulders"] = true,
		["Resolute Cape"] = true,
		["Rich Purple Silk Shirt"] = true,
		["Robe of Power"] = true,
		["Robe of the Archmage"] = true,
		["Robe of the Void"] = true,
		["Robe of Winter Night"] = true,
		["Robes of Arcana"] = true,
		["Runecloth Bag"] = true,
		["Runecloth Belt"] = true,
		["Runecloth Boots"] = true,
		["Runecloth Cloak"] = true,
		["Runecloth Gloves"] = true,
		["Runecloth Headband"] = true,
		["Runecloth Pants"] = true,
		["Runecloth Robe"] = true,
		["Runecloth Shoulders"] = true,
		["Runecloth Tunic"] = true,
		["Runed Stygian Belt"] = true,
		["Runed Stygian Boots"] = true,
		["Runed Stygian Leggings"] = true,
		["Runic Spellthread"] = true,
		["Satchel of Cenarius"] = true,
		["Shadow Hood"] = true,
		["Shadowcloth"] = true,
		["Shadoweave Boots"] = true,
		["Shadoweave Gloves"] = true,
		["Shadoweave Mask"] = true,
		["Shadoweave Pants"] = true,
		["Shadoweave Robe"] = true,
		["Shadoweave Shoulders"] = true,
		["Silk Headband"] = true,
		["Silver Spellthread"] = true,
		["Simple Black Dress"] = true,
		["Simple Dress"] = true,
		["Simple Kilt"] = true,
		["Simple Linen Boots"] = true,
		["Simple Linen Pants"] = true,
		["Small Silk Pack"] = true,
		["Soft-soled Linen Boots"] = true,
		["Soul Pouch"] = true,
		["Soulcloth Gloves"] = true,
		["Soulcloth Shoulders"] = true,
		["Soulcloth Vest"] = true,
		["Soulguard Bracers"] = true,
		["Soulguard Girdle"] = true,
		["Soulguard Leggings"] = true,
		["Soulguard Slippers"] = true,
		["Spellcloth"] = true,
		["Spellfire Bag"] = true,
		["Spellfire Belt"] = true,
		["Spellfire Gloves"] = true,
		["Spellfire Vest"] = true,
		["Spellstrike Hood"] = true,
		["Spellstrike Pants"] = true,
		["Spider Belt"] = true,
		["Spider Silk Slippers"] = true,
		["Spidersilk Boots"] = true,
		["Star Belt"] = true,
		["Stylish Blue Shirt"] = true,
		["Stylish Green Shirt"] = true,
		["Stylish Red Shirt"] = true,
		["Swiftheal Mantle"] = true,
		["Swiftheal Wraps"] = true,
		["Sylvan Crown"] = true,
		["Sylvan Shoulders"] = true,
		["Sylvan Vest"] = true,
		["Truefaith Gloves"] = true,
		["Truefaith Vestments"] = true,
		["Tuxedo Jacket"] = true,
		["Tuxedo Pants"] = true,
		["Tuxedo Shirt"] = true,
		["Unyielding Bracers"] = true,
		["Unyielding Girdle"] = true,
		["Vengeance Wrap"] = true,
		["White Bandit Mask"] = true,
		["White Linen Robe"] = true,
		["White Linen Shirt"] = true,
		["White Remedy Cape"] = true,
		["White Swashbuckler's Shirt"] = true,
		["White Wedding Dress"] = true,
		["White Woolen Dress"] = true,
		["Whitemend Hood"] = true,
		["Whitemend Pants"] = true,
		["Wisdom of the Timbermaw"] = true,
		["Wizardweave Leggings"] = true,
		["Wizardweave Robe"] = true,
		["Wizardweave Turban"] = true,
		["Woolen Bag"] = true,
		["Woolen Boots"] = true,
		["Woolen Cape"] = true,

		-- Tailoring Obtain Information
		["Shadoweave Mask Obt"] = "Quest Reward: The Undermarket",
		["Mooncloth Boots Obt"] = "Quest Reward: Sacred Cloth",
		["Robes of Arcana Obt"] = "BoE Mob Drop: Dark Strand Voidcaller, Darkshore, Defias Enchanter, Duskwood",
		["Black Silk Pack Obt"] = "BoE Mob Drop: Syndicate Spy, Alterac Mountains, Theramore Infiltrator, Dustwallow Marsh), Shadowy Assassin, Hillsbrad Foothills",
		["Cindercloth Vest Obt"] = "BoE Mob Drop: Twilight Fire Guard, Searing Gorge",
		["Ghostweave Belt Obt"] = "BoE Mob Drop: Lingering Highborne, Azshara",
		["Cindercloth Gloves Obt"] = "BoE Mob Drop: Twilight Fire Guard, Searing Gorge",
		["Ghostweave Gloves Obt"] = "BoE Mob Drop: Lingering Highborne, Azshara, Unseen Servant, EPL",
		["Ghostweave Vest Obt"] = "BoE Mob Drop: Unseen Servant, EPL",
		["Cindercloth Cloak Obt"] = "BoE Mob Drop: Thaurissan Firewalker, Burning Steppes",
		["Wizardweave Leggings Obt"] = "BoE Mob Drop: Dark Summoner, EPL and Stratholme",
		["Cindercloth Pants Obt"] = "BoE Mob Drop: Thaurissan Firewalker, Burning Steppes",
		["Robe of Winter Night Obt"] = "BoE Mob Drop: Cobalt Mageweaver, Winterspring,",
		["Ghostweave Pants Obt"] = "BoE Mob Drop: Spectral Citizen, Stratholme",
		["Wizardweave Robe Obt"] = "BoE Mob Drop: Dark Caster, Eastern Plaguelands",
		["Wizardweave Turban Obt"] = "BoE Mob Drop: Dark Caster, Eastern Plaguelands",
		["Truefaith Vestments Obt"] = "BoE Mob Drop: Balnazzar, Stratholme",
		["Robe of the Archmage Obt"] = "BoE Mob Drop: Firebrand Pyromancer, LBRS",
		["Robe of the Void Obt"] = "BoE Mob Drop: Darkmaster Gandling, Scholomance",
		["Big Bag of Enchantment Obt"] = "BoE Mob Drop: Magister Kalendris, Dire Maul",
		["Felcloth Bag Obt"] = "BoP Mob Drop: Book that spawns after killing Jandice Barov, Scholomance",
		["Cloak of Fire Obt"] = "BoP Mob Drop: Overmaster Pyron, Blackrock Mountain",
		["Arcanoweave Bracers Obt"] = "BoP Mob Drop: Arcatraz Sentinels, The Arcatraz",
		["Arcanoweave Boots Obt"] = "BoP Mob Drop: Sunseeker Astromages, The Mechanar",
		["Soulcloth Shoulders Obt"] = "BoP Mob Drop: Phantom Attendants, Karazhan",
		["Arcanoweave Robe Obt"] = "BoP Mob Drop: Panthaleon the Calculator, The Mechanar",
		["Soulcloth Vest Obt"] = "BoP Mob Drop: Phantom Valet, Karazhan",
		["Whitemend Pants Obt"] = "BoP Mob Drop: Dalliah the Doomsayer, The Arcatraz",
		["Spellstrike Pants Obt"] = "BoP Mob Drop: Murmur, Shadow Labyrinth",
		["Battlecast Pants Obt"] = "BoP Mob Drop: Thorngrin the Tender, The Botanica",
		["Whitemend Hood Obt"] = "BoP Mob Drop: Warp Splinter, The Botanica",
		["Spellstrike Hood Obt"] = "BoP Mob Drop: Grand Warlock Nethekurse, The Shattered Halls",
		["Battlecast Hood Obt"] = "BoP Mob Drop: Warlord Kalithresh, Steamvaults",

	}

end)